<?php
/**
 * The template for displaying Category Archive pages.
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
get_header(); 
if( is_active_sidebar('widgets-blog') ) {
	$narihealth_default_layout_class = narihealth_get_layout_class(); 
} else { 
 	$narihealth_default_layout_class = 'dtr-fullwidth';  
}
?>
<div id="dtr-main-wrapper" class="container <?php echo esc_attr( narihealth_blog_classes() ); ?> <?php echo esc_attr( narihealth_first_post_classes() ); ?> <?php echo esc_attr( $narihealth_default_layout_class ) ?>">
    <main id="dtr-primary-section" class="dtr-content-area" <?php narihealth_schema_markup( 'main' ); ?>>
        <?php
	 if ( have_posts() ) : 
			// get selected layout
			if ( 'dtr-blog-grid-masonry-3col' == get_theme_mod( 'narihealth_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-masonry' == get_theme_mod( 'narihealth_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-fitrows' == get_theme_mod( 'narihealth_blog_entry_style', 'dtr-blog-default' ) || 'dtr-blog-grid-fitrows-3col' == get_theme_mod( 'narihealth_blog_entry_style', 'dtr-blog-default' ) ) {
				get_template_part( '/template-parts/post/archive-layout', 'masonry' ); 
			} elseif ( 'dtr-blog-left-thumb' == get_theme_mod( 'narihealth_blog_entry_style', 'dtr-blog-default' ) ) {
				get_template_part( '/template-parts/post/archive-layout', 'list' ); 
			} else {
				get_template_part( '/template-parts/post/archive-layout', 'standard' ); 
			}
			
		 	// pagination
			if ( 'nextprev' == get_theme_mod( 'narihealth_blog_archive_pagination_style', 'numbered' ) ) {
				narihealth_archive_nav();
			} else {
				narihealth_numbered_pagination();
			}
		else : 
			get_template_part( '/template-parts/page/content', 'none' ); 
		endif; 
		?>
    </main>
    <!-- #dtr-primary-section -->
    <?php if( is_active_sidebar('widgets-blog') ) {
	 get_sidebar(); } ?>
    <div class="clearfix"></div>
</div>
<!-- #content-wrapper -->
<?php get_footer();