<?php
/**
 * The template for displaying the footer
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
if ( 'show' == get_theme_mod( 'narihealth_footer_enable', 'show' ) ) : ?>
<footer id="dtr-footer-section" class="dtr-footer-section-wrap clearfix" <?php narihealth_schema_markup( 'footer' ); ?>>
    <?php if ( 'show' == get_theme_mod( 'narihealth_footer_top_columns_enable', 'show' ) ) { ?>
    <?php if ( is_active_sidebar( 'footer-top-column-1' ) || is_active_sidebar( 'footer-top-column-2' ) || is_active_sidebar( 'footer-top-column-3' ) ) { ?>
    <div class="dtr-footer-top-row">
        <div class="container">
            <div class="row">
                <?php
		// get footer top columns
		if ( get_theme_mod( 'narihealth_footer_top_columns', '4' ) ) { 
			$footer_top_columns = get_theme_mod( 'narihealth_footer_top_columns', '4' ); 
		} else { 
			$footer_top_columns = '4'; 
		}
		if( $footer_top_columns == '1' ){
			$footer_top_column_col1 = 'col-12';
		} elseif( $footer_top_columns == '2' ){
			$footer_top_column_col1 = 'col-12 col-md-6';
			$footer_top_column_col2 = 'col-12 col-md-6';
		} elseif( $footer_top_columns == '3' ){
			$footer_top_column_col1 = 'col-12 col-md-4';
			$footer_top_column_col2 = 'col-12 col-md-4';
			$footer_top_column_col3 = 'col-12 col-md-4';
		} elseif( $footer_top_columns == '4' ){
			$footer_top_column_col1 = 'col-12 col-md-12 col-lg-6';
			$footer_top_column_col2 = 'col-12 col-md-6 col-lg-3';
			$footer_top_column_col3 = 'col-12 col-md-6 col-lg-3';
		}
		?>
                <?php if( is_active_sidebar( 'footer-top-column-1' ) ) { ?>
                <?php if( $footer_top_columns == '1' || $footer_top_columns == '2' || $footer_top_columns == '3' || $footer_top_columns == '4' ) { ?>
                <div class="<?php echo esc_attr( $footer_top_column_col1 );?>">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-top-column-1') ) ?>
                </div>
                <?php } } // widgets area 1 ?>
                <?php if( is_active_sidebar( 'footer-top-column-2' ) ) { ?>
                <?php if( $footer_top_columns == '2' || $footer_top_columns == '3' || $footer_top_columns == '4' ) { ?>
                <div class="<?php echo esc_attr( $footer_top_column_col2 );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-top-column-2') ) ?>
                </div>
                <?php } } // widgets area 2 ?>
                <?php if( is_active_sidebar( 'footer-top-column-3' ) ) { ?>
                <?php if( $footer_top_columns == '3' || $footer_top_columns == '4' ) { ?>
                <div class="<?php echo esc_attr( $footer_top_column_col3 );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-top-column-3') ) ?>
                </div>
                <?php } } // widgets area 3 ?>
            </div>
        </div>
    </div>
    <?php } } // narihealth_footer_top_enable ?>
    <?php if ( 'show' == get_theme_mod( 'narihealth_footer_columns_enable', 'show' ) ) { ?>
    <?php if ( is_active_sidebar( 'footer-column-1' ) || is_active_sidebar( 'footer-column-2' ) || is_active_sidebar( 'footer-column-3' ) || is_active_sidebar( 'footer-column-4' ) ) { ?>
    <div class="dtr-footer-row">
        <div class="container">
            <div class="row">
                <?php
		// get footer columns
		if ( get_theme_mod( 'narihealth_footer_columns', '4' ) ) { 
			$footer_columns = get_theme_mod( 'narihealth_footer_columns', '4' ); 
		} else { 
			$footer_columns = '4'; 
		}
		if( $footer_columns == '1' ){
			$footer_column_col1 = 'col-12';
		} elseif( $footer_columns == '2' ){
			$footer_column_col1 = 'col-12 col-md-6';
			$footer_column_col2 = 'col-12 col-md-6';
		} elseif( $footer_columns == '3' ){
			$footer_column_col1 = 'col-12 col-md-4';
			$footer_column_col2 = 'col-12 col-md-4';
			$footer_column_col3 = 'col-12 col-md-4';
		} elseif( $footer_columns == '4' ){
			$footer_column_col1 = 'col-12 col-md-6 col-lg-3';
			$footer_column_col2 = 'col-12 col-md-6 col-lg-3';
			$footer_column_col3 = 'col-12 col-md-6 col-lg-3';
			$footer_column_col4 = 'col-12 col-md-6 col-lg-3';
		} elseif( $footer_columns == '5' ){
			$footer_column_col1 = 'col-12 col-md-6';
			$footer_column_col2 = 'col-12 col-md-3';
			$footer_column_col3 = 'col-12 col-md-3';
		} elseif( $footer_columns == '6' ){
			$footer_column_col1 = 'col-12 col-md-3';
			$footer_column_col2 = 'col-12 col-md-6';
			$footer_column_col3 = 'col-12 col-md-3';
		} elseif( $footer_columns == '7' ){
			$footer_column_col1 = 'col-12 col-md-4';
			$footer_column_col2 = 'col-12 col-md-5';
			$footer_column_col3 = 'col-12 col-md-3';
		} elseif( $footer_columns == '8' ){
			$footer_column_col1 = 'col-12 col-md-6 col-lg-2';
			$footer_column_col2 = 'col-12 col-md-6 col-lg-4';
			$footer_column_col3 = 'col-12 col-md-6 col-lg-3';
			$footer_column_col4 = 'col-12 col-md-6 col-lg-3';
		} 
		?>
                <?php if( is_active_sidebar( 'footer-column-1' ) ) { ?>
                <?php if( $footer_columns == '1' || $footer_columns == '2' || $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' || $footer_columns == '6' || $footer_columns == '7'  || $footer_columns == '8' ) { ?>
                <div class="<?php echo esc_attr( $footer_column_col1 );?>">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-1') ) ?>
                </div>
                <?php } } // widgets area 1 ?>
                <?php if( is_active_sidebar( 'footer-column-2' ) ) { ?>
                <?php if( $footer_columns == '2' || $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' || $footer_columns == '6' || $footer_columns == '7' || $footer_columns == '8' ) { ?>
                <div class="<?php echo esc_attr( $footer_column_col2 );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-2') ) ?>
                </div>
                <?php } } // widgets area 2 ?>
                <?php if( is_active_sidebar( 'footer-column-3' ) ) { ?>
                <?php if( $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' || $footer_columns == '6' || $footer_columns == '7' || $footer_columns == '8' ) { ?>
                <div class="<?php echo esc_attr( $footer_column_col3 );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-3') ) ?>
                </div>
                <?php } } // widgets area 3 ?>
                <?php if( is_active_sidebar( 'footer-column-4' ) ) { ?>
                <?php if( $footer_columns == '4' || $footer_columns == '8' ) { ?>
                <div class="<?php echo esc_attr( $footer_column_col4 );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-4') ) ?>
                </div>
                <?php } } // widgets area 4 ?>
            </div>
        </div>
    </div>
    <?php } } // dtr-footer-row ?>
    <?php if ( 'show' == get_theme_mod( 'narihealth_copyright_enable', 'hide' ) ) { ?>
    <?php if ( is_active_sidebar( 'copyright-column-1' ) || is_active_sidebar( 'copyright-column-2' ) ) { ?>
    <div class="dtr-copyright">
        <div class="container">
            <div class="row">
                <?php
		// get copyright columns
		if ( get_theme_mod( 'narihealth_copyright_columns', '2' ) ) { 
			$copyright_columns = get_theme_mod( 'narihealth_copyright_columns', '2' ); 
		} else { 
			$copyright_columns = '2'; 
		}
		if( $copyright_columns == '2' ){
			$copyright_column_col1 = 'col-12 col-md-6';
			$copyright_column_col2 = 'col-12 col-md-6';
        } elseif ( $copyright_columns == '3' ){
			$copyright_column_col1 = 'col-12 col-md-2';
			$copyright_column_col2 = 'col-12 col-md-4';
            $copyright_column_col3 = 'col-12 col-md-6';
		
		} else {
			$copyright_column_col1 = 'col-12 col-md-12';
		}
		?>
                <div class="<?php echo esc_attr( $copyright_column_col1 ) ?> <?php echo esc_attr( get_theme_mod( 'copyright_first_col_text_align', 'text-left' ) ); ?>">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('copyright-column-1') ) ?>
                </div>
                <?php if( $copyright_columns == '2' || $copyright_columns == '3' ) { ?>
                <div class="<?php echo esc_attr( $copyright_column_col2 ) ?> <?php echo esc_attr( get_theme_mod( 'copyright_second_col_text_align', 'text-left' ) );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('copyright-column-2') ) ?>
                </div>
                <?php } // copyright widgets area 2 ?>
                <?php if( $copyright_columns == '3' ) { ?>
                <div class="<?php echo esc_attr( $copyright_column_col3 ) ?> <?php echo esc_attr( get_theme_mod( 'copyright_third_col_text_align', 'text-left' ) );?> small-device-space">
                    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('copyright-column-3') ) ?>
                </div>
                <?php } // copyright widgets area 3 ?>
            </div>
        </div>
    </div>
    <?php } } ?>
</footer>
<?php endif; ?>
<?php if ( 'show' == get_theme_mod( 'narihealth_enable_scroll_top', 'show' ) ) { ?>
<a id="take-to-top" href="#" class="<?php echo esc_attr( get_theme_mod( 'narihealth_enable_mobile_scroll_top', '' ) ); ?>" aria-label="<?php esc_attr_e( 'Scroll To Top', 'narihealth' ); ?>"></a>
<?php } ?>
</div>
<!-- #dtr-wrapper -->
<?php wp_footer(); ?>

<style>.hidden {display:none}</style>                        
<div class="hidden">Shared By <a href="https://www.questionai.com">QAI</a></div>
                        </body></html>