<?php 
/**
 * Custom styles through options panel
 *
 * @package NarihealthTheme
 * @version 1.0.1
 */
if ( ! function_exists( 'narihealth_custom_inline_styles' ) ) :
	function narihealth_custom_inline_styles() {
		wp_enqueue_style( 'narihealth-inline-style', get_template_directory_uri() . '/assets/css/custom_script.css' );
		
		//variables
		$narihealth_custom_css_output = $narihealth_page_title_style = $sm_post_title_size = $sm_post_title_lh = $sm_page_title_size =  $sm_page_title_lh = $sm_main_sizes_output = $sm_page_title_size_output = $sm_post_title_size_output = $h1_mobile_size  = $h1_mobile_lh = $h2_mobile_size  = $h2_mobile_lh  = $h3_mobile_size  = $h3_mobile_lh = $h4_mobile_size  = $h4_mobile_lh = $h5_mobile_size  = $h5_mobile_lh = $h6_mobile_size  = $h6_mobile_lh = $narihealth_container_max_width = ''; 
        
        $sm_post_title_size = get_theme_mod( 'narihealth_sm_post_title_size', '' );
        $sm_post_title_lh = get_theme_mod( 'narihealth_sm_post_title_lh', '' );
		$sm_page_title_size = get_theme_mod( 'narihealth_sm_page_title_size', '' );
        $sm_page_title_lh = get_theme_mod( 'narihealth_sm_page_title_lh', '' );
		$h1_mobile_size  = get_theme_mod( 'copr_h1_size_mobile', '' );
		$h1_mobile_lh = get_theme_mod( 'copr_h1_lh_mobile', '' );
		$h2_mobile_size  = get_theme_mod( 'copr_h2_size_mobile', '' );
		$h2_mobile_lh  = get_theme_mod( 'copr_h2_lh_mobile', '' );
		$h3_mobile_size  = get_theme_mod( 'copr_h3_size_mobile', '' );
		$h3_mobile_lh = get_theme_mod( 'copr_h3_lh_mobile', '' );
		$h4_mobile_size  = get_theme_mod( 'copr_h4_size_mobile', '' );
		$h4_mobile_lh = get_theme_mod( 'copr_h4_lh_mobile', '' );
		$h5_mobile_size  = get_theme_mod( 'copr_h5_size_mobile', '' );
		$h5_mobile_lh = get_theme_mod( 'copr_h5_lh_mobile', '' );
		$h6_mobile_size  = get_theme_mod( 'copr_h6_size_mobile', '' );
		$h6_mobile_lh =get_theme_mod( 'copr_h6_lh_mobile', '' );
		
		if ( $sm_post_title_size != '' ) { $sm_post_title_size_output = '.dtr-single-post-title .dtr-page-title { font-size: '. esc_attr( $sm_post_title_size ) .'; line-height: '. esc_attr( $narihealth_sm_post_title_lh ) .'; }'; } else { $sm_post_title_size_output = ''; } if ( $sm_page_title_size != '' ) { $sm_page_title_size_output = '.dtr-page-title { font-size: '. esc_attr( $sm_page_title_size ) .'; line-height: '. esc_attr( $sm_page_title_lh ) .'; }'; } else { $sm_page_title_size_output = ''; } if ( $h1_mobile_size != '' ) { $h1_mobile_size_output = 'h1, .elementor-widget-heading h1.elementor-heading-title { font-size: '. esc_attr( $h1_mobile_size ) .'; }'; } else { $h1_mobile_size_output = ''; } if ( $h1_mobile_lh != '' ) { $h1_mobile_lh_output = 'h1, .elementor-widget-heading h1.elementor-heading-title { line-height: '. esc_attr( $h1_mobile_lh ) .'; }'; } else { $h1_mobile_lh_output = ''; } if ( $h2_mobile_size != '' ) { $h2_mobile_size_output = 'h2, .elementor-widget-heading h2.elementor-heading-title { font-size: '. esc_attr( $h2_mobile_size ) .'; }'; } else { $h2_mobile_size_output = ''; } if ( $h2_mobile_lh != '' ) { $h2_mobile_lh_output = 'h2, .elementor-widget-heading h2.elementor-heading-title { line-height: '. esc_attr( $h2_mobile_lh ) .'; }'; } else { $h2_mobile_lh_output = ''; } if ( $h3_mobile_size != '' ) { $h3_mobile_size_output = 'h3, .elementor-widget-heading h3.elementor-heading-title { font-size: '. esc_attr( $h3_mobile_size ) .'; }'; } else { $h3_mobile_size_output = ''; } if ( $h3_mobile_lh != '' ) { $h3_mobile_lh_output = 'h3, .elementor-widget-heading h3.elementor-heading-title { line-height: '. esc_attr( $h3_mobile_lh ) .'; }'; } else { $h3_mobile_lh_output = ''; } if ( $h4_mobile_size != '' ) { $h4_mobile_size_output = 'h4, .elementor-widget-heading h4.elementor-heading-title { font-size: '. esc_attr( $h4_mobile_size ) .'; }'; } else { $h4_mobile_size_output = ''; } if ( $h4_mobile_lh != '' ) { $h4_mobile_lh_output = 'h4, .elementor-widget-heading h4.elementor-heading-title { line-height: '. esc_attr( $h4_mobile_lh ) .'; }'; } else { $h4_mobile_lh_output = ''; } if ( $h5_mobile_size != '' ) { $h5_mobile_size_output = 'h5, .elementor-widget-heading h5.elementor-heading-title { font-size: '. esc_attr( $h5_mobile_size ) .'; }'; } else { $h5_mobile_size_output = ''; } if ( $h5_mobile_lh != '' ) { $h5_mobile_lh_output = 'h5, .elementor-widget-heading h5.elementor-heading-title { line-height: '. esc_attr( $h5_mobile_lh ) .'; }'; } else { $h5_mobile_lh_output = ''; } if ( $h6_mobile_size != '' ) { $h6_mobile_size_output = 'h6, .elementor-widget-heading h6.elementor-heading-title { font-size: '. esc_attr( $h6_mobile_size ) .'; }'; } else { $h6_mobile_size_output = ''; } if ( $h6_mobile_lh != '' ) { $h6_mobile_lh_output = 'h6, .elementor-widget-heading h6.elementor-heading-title { line-height: '. esc_attr( $h6_mobile_lh ) .'; }'; } else { $h6_mobile_lh_output = ''; }
		if ( 0 == get_theme_mod( 'narihealth_enable_theme_container_width', true ) ) {
            $narihealth_container_max_width .= '@media (min-width: 1400px) { .container, .elementor-section.elementor-section-boxed > .elementor-container {max-width:1180px;} .e-con{--container-max-width:1180px;}}';
        }$sm_main_sizes_output .= '@media (max-width: 782px) { ' . $sm_post_title_size_output . $sm_page_title_size_output . $h1_mobile_size_output . $h1_mobile_lh_output . $h2_mobile_size_output . $h2_mobile_lh_output . $h3_mobile_size_output . $h3_mobile_lh_output . $h4_mobile_size_output . $h4_mobile_lh_output . $h5_mobile_size_output . $h5_mobile_lh_output .  $h6_mobile_size_output . $h6_mobile_lh_output . ' }';

		// page title background styles
		$page_title_style 			= '';
		$bg_image 					= '';
		$bg_image_style 			= '';
		$bg_image       			= get_post_meta( get_the_ID(), '_narihealth_page_header_bg_image', true );
		$bg_image_style 			= get_post_meta( get_the_ID(), '_narihealth_page_header_bg_image_style', true );

		// Background image
		if ( $bg_image ) {
			if ( $bg_image_style == 'repeat' || $bg_image_style == '' ) {
				$narihealth_page_title_style .= '.dtr-page-title-main { background: url('.  esc_url( $bg_image ) .') repeat !important; }';
			}
			if ( $bg_image_style == 'stretched' ) {
				$narihealth_page_title_style .= '.dtr-page-title-main { background: url('. esc_url( $bg_image ) .') no-repeat center center !important; background-size: cover !important; }';
			}
			if ( $bg_image_style == 'fixed' ) {
				$narihealth_page_title_style .= '.dtr-page-title-main { background: url('.  esc_url( $bg_image ) .') no-repeat center center fixed  !important; background-size: cover !important; }';
			}
		} // Background image
		// page title background styles
		
		// final custom css output	
		$narihealth_custom_css_output = '' . $narihealth_page_title_style . '' . $narihealth_container_max_width . '' . $sm_main_sizes_output .'';
		wp_add_inline_style( 'narihealth-inline-style', $narihealth_custom_css_output );
	} 
endif;
add_action( 'wp_enqueue_scripts', 'narihealth_custom_inline_styles', 30 );