<?php
// blog section fields
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_blog_layout',
	'label'       => esc_html__( 'Entries and Archives', 'narihealth' ),
	'section'     => 'narihealth_section_archive_settings',
	'default'     => 'dtr-right-sidebar',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-fullwidth' 		=> esc_html__('No Sidebar', 'narihealth'),
		 'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'narihealth'),
         'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'narihealth'),
	),
) );

// blog_entry_style
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_blog_entry_style',
	'label'       => esc_html__( 'Posts Layout Style', 'narihealth' ),
	'section'     => 'narihealth_section_archive_settings',
	'default'     => 'dtr-blog-default',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'dtr-blog-default' 				=> esc_html__('Default', 'narihealth'),
		'dtr-blog-grid-masonry'			=> esc_html__('Masonry Grid - 2 column', 'narihealth'),
		'dtr-blog-grid-fitrows'			=> esc_html__('Grid - 2 column', 'narihealth'),
		'dtr-blog-grid-masonry-3col'	=> esc_html__('Masonry Grid - 3 column', 'narihealth'),
		'dtr-blog-grid-fitrows-3col'	=> esc_html__('Grid - 3 column', 'narihealth'),
	),
) );

// first_full_post_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_first_full_post_enable',
	'label'       	 => esc_html__( 'Standard First Post', 'narihealth' ),
	'section'		 => 'narihealth_section_archive_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Yes', 'narihealth' ),
		'hide'	 => esc_html__( 'No', 'narihealth' ),
	),
) );

// date
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_blog_page_date_enable',
	'label'       	 => esc_html__( 'Date', 'narihealth' ),
	'section'		 => 'narihealth_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_blog_page_author_enable',
	'label'       	 => esc_html__( 'Author', 'narihealth' ),
	'section'		 => 'narihealth_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// category
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_blog_page_category_enable',
	'label'       	 => esc_html__( 'Category', 'narihealth' ),
	'section'		 => 'narihealth_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// blog_page_excerpt_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_blog_page_excerpt_enable',
	'label'       	 => esc_html__( 'Excerpt', 'narihealth' ),
	'section'		 => 'narihealth_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// get_archive_excerpt_length
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'number',
	'settings'		 => 'narihealth_get_archive_excerpt_length',
	'label'			 => esc_html__( 'Excerpt Length', 'narihealth' ),
'description'		 => wp_kses( __("If excerpt is provided in excerpt box it will be displayed by default irrespective of excerpt length settings<br><br><strong>40&nbsp;&nbsp;</strong> - Some specific value<br><strong>1&nbsp;&nbsp;&nbsp;&nbsp;</strong> - For complete post content<br><strong>999</strong> - For upto more tag - Default", 'narihealth'), array( 'br' => array(), 'strong' => array(), ) ),
	'section'		 => 'narihealth_section_archive_settings',
	'default'        => '999',
	'priority'		 => 10,
) );

// read_more_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_read_more_enable',
	'label'       	 => esc_html__( 'Read more link', 'narihealth' ),
	'help'    		 => esc_html__( 'Read more link can have backbround color. Settings can be found in - Typography and Styles - section', 'narihealth' ),
	'section'		 => 'narihealth_section_archive_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// read_more_text
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_read_more_text',
	'label'			 => esc_html__( 'Read more link text', 'narihealth' ),
	'section'		 => 'narihealth_section_archive_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Continue Reading', 'narihealth' ),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_read_more_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'narihealth_read_more_text' => array(
			'selector'        => '.dtr-post__button',
			'render_callback'	=> function() { 
				echo esc_html( get_theme_mod( 'narihealth_read_more_text' ) );
			},
		),
	),
	'transport'		 => 'auto',
) );

// single_post_layout
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_single_post_layout',
	'label'       => esc_html__( 'Single Post Layout', 'narihealth' ),
	'section'     => 'narihealth_section_single_settings',
	'default'     => 'dtr-right-sidebar',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
	     'dtr-fullwidth' 		=> esc_html__('No Sidebar', 'narihealth'),
		 'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'narihealth'),
         'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'narihealth'),
	),
) );

// date
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_date_enable',
	'label'       	 => esc_html__( 'Date', 'narihealth' ),
	'section'		 => 'narihealth_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_author_enable',
	'label'       	 => esc_html__( 'Author', 'narihealth' ),
	'section'		 => 'narihealth_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// category
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_category_enable',
	'label'       	 => esc_html__( 'Category', 'narihealth' ),
	'section'		 => 'narihealth_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// comment
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_comment_enable',
	'label'       	 => esc_html__( 'Comment Number', 'narihealth' ),
	'section'		 => 'narihealth_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// tags
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_tags_enable',
	'label'       	 => esc_html__( 'Tags', 'narihealth' ),
	'section'		 => 'narihealth_section_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_tags_title_text',
	'label'			 => esc_html__('Tags Title', 'narihealth'),
	'section'		 => 'narihealth_section_single_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Tags', 'narihealth' ),
	'partial_refresh' => array(
		'narihealth_tags_title_text' => array(
			'selector'        => '.dtr-tags-title',
			'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'narihealth_tags_title_text' ) );
	},
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_single_tags_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// social_share_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_social_share_enable',
	'label'       	 => esc_html__('Social Share', 'narihealth'),
	'section'		 => 'narihealth_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_share_title_text',
	'label'			 => esc_html__('Share Title', 'narihealth'),
	'section'		 => 'narihealth_section_post_share_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Enjoyed this article!', 'narihealth' ),
	'partial_refresh' => array(
		'narihealth_share_title_text' => array(
			'selector'        => '.dtr-social-share-title',
			'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'narihealth_share_title_text' ) );
	},
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// twitter_share_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_twitter_share_enable',
	'label'       	 =>  esc_html__('Twitter in Share', 'narihealth'),
	'section'		 => 'narihealth_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// twitter_handle_text
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_twitter_handle_text',
	'label'			 => esc_html__('Twitter Handle Text', 'narihealth'),
	'section'		 => 'narihealth_section_post_share_settings',
	'priority'		 => 10,
	'default'		 => '',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'narihealth_twitter_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// facebook_share_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_facebook_share_enable',
	'label'       	 =>  esc_html__('Facebook in Share', 'narihealth'),
	'section'		 => 'narihealth_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// pinterest_share_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_pinterest_share_enable',
	'label'       	 =>  esc_html__('Pinterest in Share', 'narihealth'),
	'section'		 => 'narihealth_section_post_share_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// googleplus_share_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_googleplus_share_enable',
	'label'       	 =>  esc_html__('Google in Share', 'narihealth'),
	'section'		 => 'narihealth_section_post_share_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

//  linkedin_share_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_linkedin_share_enable',
	'label'       	 =>  esc_html__('Linkedin in Share', 'narihealth'),
	'section'		 => 'narihealth_section_post_share_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_social_share_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// home_title
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'narihealth_blog_title',
	'label'   		 	=>  esc_html__('Blog Page Title Text', 'narihealth'),
	'section'			=> 'narihealth_section_blog_page_title_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
		'narihealth_blog_title'		=> array(
				'selector' 			=> '.blog .dtr-blog-title',
				'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'narihealth_blog_title' ) );
	},
		),
	),
    'default'        	=> esc_html__('Blog', 'narihealth'),
	'transport'		 	=> 'auto',
) );

// home_title
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'narihealth_blog_desc',
	'label'   		 	=>  esc_html__('Blog Description', 'narihealth'),
	'section'			=> 'narihealth_section_blog_page_title_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
		'narihealth_blog_desc'		=> array(
				'selector' 			=> '.blog .dtr-page-desc',
				'render_callback'	=> function() { 
		echo esc_html( get_theme_mod( 'narihealth_blog_desc' ) );
	},
		),
	),
    'default'        	=> esc_html__('Promoting Good Health Together', 'narihealth'),
	'transport'		 	=> 'auto',
) );

// featured image
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_archive_image_enable',
	'label'       	 => esc_html__( 'Archive / Blog Page - Image Display', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_featured_img_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_archive_image_corner',
	'label'       	 => esc_html__( 'Archive / Blog Page - Image Corners', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_featured_img_settings',
	'default'     	 => 'dtr-rounded-img',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'dtr-rounded-img'	=> esc_html__( 'Rounded Corners', 'narihealth' ),
		''	 				=> esc_html__( 'Default', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_image_enable',
	'label'       	 => esc_html__( 'Single Post', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_featured_img_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_image_corner',
	'label'       	 => esc_html__( 'Single Post - Image Corners', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_featured_img_settings',
	'default'     	 => 'dtr-rounded-img',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'dtr-rounded-img'	=> esc_html__( 'Rounded Corners', 'narihealth' ),
		''	 				=> esc_html__( 'Default', 'narihealth' ),
	),
) );

// narihealth_blog_archive_pagination_style
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_blog_archive_pagination_style',
	'label'       => esc_html__( 'Archive Pagination Style', 'narihealth' ),
	'section'     => 'narihealth_section_pagination_settings',
	'default'     => 'numbered',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'numbered' 	=> esc_html__('Default - Numbered', 'narihealth'),
		'nextprev'	=> esc_html__('Prev / Next', 'narihealth'),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_pagers_style_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_pagination_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #222222; color: #fff;">' . esc_html__( 'All Pagers Color Settings', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_pager_bg_color',
	'label'			 => esc_html__( 'Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-previous-link a, .dtr-next-link a, .dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-page-number, .current .dtr-page-number:hover' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_pager_border_color',
	'label'			 => esc_html__( 'Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-previous-link a, .dtr-next-link a, .dtr-page-number' ),
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_pager_color',
	'label'			 => esc_html__( 'Color', 'narihealth' ),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-number, .dtr-page-numbers a, a.page-numbers, span.page-numbers, .dtr-previous-link a, .dtr-next-link a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_pager_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-numbers a:hover, a.page-numbers:hover, span.page-numbers:hover, .page-numbers.current, .dtr-previous-link a:hover, .dtr-next-link a:hover, .post-page-numbers.current .dtr-page-number, .dtr-page-number:hover' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_pager_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.page-numbers.current, .dtr-page-numbers a:hover, a.page-numbers:hover, .dtr-previous-link a:hover, .dtr-next-link a:hover, .dtr-page-number:hover, .post-page-numbers.current .dtr-page-number, .page-numbers.dots:hover' ),
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_pager_hover_color',
	'label'			 => esc_html__( 'Hover: Color', 'narihealth' ),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-page-links a > span:hover, .dtr-page-links span:hover, .post-page-numbers.current .dtr-page-number, .dtr-page-numbers a:hover, a.page-numbers:hover, span.page-numbers:hover, .page-numbers.current, .dtr-previous-link a:hover, .dtr-next-link a:hover' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// single_nav
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_single_pagination_style',
	'label'       => esc_html__( 'Single Post Pagination Style', 'narihealth' ),
	'section'     => 'narihealth_section_pagination_settings',
	'default'     => 'nextprev_nav',
	'priority'    => 10,
	'multiple'    => 1,
	'choices' => array(
		'title_nav' 	=> esc_html__('Prev / Next and Post Titles', 'narihealth'),
		'nextprev_nav'	=> esc_html__('Only Prev / Next', 'narihealth'),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_prev_nav_text',
	'label'   		 =>  esc_html__('Previous Nav Text', 'narihealth'),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Previous Post', 'narihealth'),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_next_nav_text',
	'label'   		 =>  esc_html__('Next Nav Text', 'narihealth'),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Next Post', 'narihealth'),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_single_post_nav_typo',
	'label'       => esc_html__( 'Prev / Next Text - Typography', 'narihealth' ),
	'section'     => 'narihealth_section_pagination_settings',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-nav-text.has-drct, .dtr-comments-nav-text',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_single_post_nav_title_typo',
	'label'       => esc_html__( 'Title in Nav - Typography', 'narihealth' ),
	'section'     => 'narihealth_section_pagination_settings',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-nav-text.has-title',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_single_post_nav_hover',
	'label'			 => esc_html__( 'Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_pagination_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-single-nav-text:hover, .dtr-comments-nav-text:hover' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// blog starts
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_archive_post_title_typo',
	'label'       => esc_html__( 'Heading', 'narihealth' ),
	'section'     => 'narihealth_section_blog_archives_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-archive-post-title, .dtr-archive-post-title a',
		),
	),
) );

// archive blog meta
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_archive_meta_typo',
	'label'       => esc_html__( 'Blog Meta', 'narihealth' ),
	'section'     => 'narihealth_section_blog_archives_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-entry-meta, .wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date',
		),
	),
) );

// blog meta
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_archive_meta_color',
	'label'			 => esc_html__( 'Blog Meta Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta, .dtr-entry-meta a, .wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date',
			'property'	=> 'color',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_archive_meta_divider_color',
	'label'			 => esc_html__( 'Blog Meta Dividing Dot Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta .dtr-meta-item::before',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// blog meta hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_archive_meta_hover_color',
	'label'			 => esc_html__( 'Blog Meta Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_archives_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-entry-meta a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// single post
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_single_post_title_typo',
	'label'       => esc_html__( 'Heading', 'narihealth' ),
	'section'     => 'narihealth_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-post-title .dtr-page-title',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_sm_post_title_size',
    'label'   				=>  esc_html__('Heading Size: For Small Screens', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_blog_single_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_sm_post_title_lh',
    'label'   				=>  esc_html__('Heading Line Height: For Small Screens', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_blog_single_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

// single meta
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_single_meta_typo',
	'label'       => esc_html__( 'Blog Meta', 'narihealth' ),
	'section'     => 'narihealth_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-meta',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_single_meta_color',
	'label'			 => esc_html__( 'Blog Meta Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta, .dtr-single-meta a',
			'property'	=> 'color',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_single_meta_divider_color',
	'label'			 => esc_html__( 'Blog Meta Dividing Dot Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta .dtr-meta-item::before',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_single_meta_hover_color',
	'label'			 => esc_html__( 'Blog Meta Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '.dtr-single-meta a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// cat
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_single_cat_typo',
	'label'       => esc_html__( 'Category', 'narihealth' ),
	'section'     => 'narihealth_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-single-pre-meta .dtr-meta-category a',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_single_cat_bg_color',
	'label'			 => esc_html__( 'Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_single_cat_hover_bg_color',
	'label'			 => esc_html__( 'Hover : Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a:hover',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_single_cat_hover_color',
	'label'			 => esc_html__( 'Hover : Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-single-pre-meta .dtr-meta-category a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// share
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_blog_tag_share_typo',
	'label'       => esc_html__( 'Tags / Share Title', 'narihealth' ),
	'section'     => 'narihealth_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-tag-title, .dtr-social-share-title',
		),
	),
) );

// comment 
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_blog_comment_heading_typo',
	'label'       => esc_html__( 'Comment Section Title', 'narihealth' ),
	'section'     => 'narihealth_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
		'color'        	 => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.comments-title, .comment-reply-title',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_blog_cancel_reply_color',
	'label'			 => esc_html__( 'Cancel Reply Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => '#cancel-comment-reply-link',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_blog_comment_meta_typo',
	'label'       => esc_html__( 'Comment Meta Data', 'narihealth' ),
	'section'     => 'narihealth_section_blog_single_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-comment-date, .comment-edit-link',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_blog_comment_meta_color',
	'label'			 => esc_html__( 'Comment Meta Data Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-comment-date, .comment-edit-link',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_blog_comment_meta_hover_color',
	'label'			 => esc_html__( 'Comment Meta Data Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_single_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-comment-date:hover, .comment-edit-link:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// all common bg color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_blog_common_bg_color',
	'label'			 => esc_html__( 'Sticky Post / Author Info Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_general_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-author-info, .sticky .dtr-post-content-wrapper',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_tags_typo',
	'label'       => esc_html__( 'Post Tags / Tagcloud Tags', 'narihealth' ),
	'section'     => 'narihealth_section_blog_general_settings',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.wp-block-tag-cloud a, .dtr-meta-tags a',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_tags_bg_color',
	'label'			 => esc_html__( 'Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_general_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.wp-block-tag-cloud a, .dtr-meta-tags a',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_tags_border_color',
	'label'			 => esc_html__( 'Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_general_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.wp-block-tag-cloud a, .dtr-meta-tags a',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// tag hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_tags_hover_color',
	'label'			 => esc_html__( 'Hover : Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_general_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-meta-tags a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_tags_hover_bg_color',
	'label'			 => esc_html__( 'Hover : Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_general_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-meta-tags a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_tags_hover_border_color',
	'label'			 => esc_html__( 'Hover : Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_blog_general_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-meta-tags a:hover, .wp-block-tag-cloud a:hover',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );