<?php
// Footer section fields
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_footer_enable',
	'label'       	 => esc_html__( 'Footer', 'narihealth' ),
	'description'    => esc_html__( 'You can individually hide footer rows below.', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// footer_top_columns
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_footer_top_columns_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_footer_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Top /  First - Footer Columns Row', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_footer_top_columns_enable',
	'label'       	 => '',
	'section'		 => 'narihealth_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// footer_top_columns
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_footer_top_columns',
	'label'       =>  esc_html__('Number of Columns', 'narihealth'),
	'section'     => 'narihealth_section_footer_settings',
	'default'     => '4',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'narihealth_footer_top_columns_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'1'	=> esc_html__( 'Single Column', 'narihealth' ),
		'2'	=> esc_html__( 'Two Equal Columns', 'narihealth' ),
		'3'	=> esc_html__( 'Three Equal Columns', 'narihealth' ),
		'4'	=> esc_html__( '6 + 3 + 3', 'narihealth' ),
	),
) );

// footer_columns_top_padding
narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_top_footer_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'narihealth' ),
		'section'     	=> 'narihealth_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_footer_top_columns_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-footer-top-row',
			'property'	 => 'padding-top',
			)
		),
	)
);

// footer_bottom_padding
narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_top_footer_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'narihealth' ),
		'section'     	=> 'narihealth_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_footer_top_columns_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-footer-top-row',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// footer_columns
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_footer_columns_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_footer_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Main - Footer Columns Row', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_footer_columns_enable',
	'label'       	 => '',
	'section'		 => 'narihealth_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );


// footer_columns
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_footer_columns',
	'label'       =>  esc_html__('Number of Columns', 'narihealth'),
	'section'     => 'narihealth_section_footer_settings',
	'default'     => '4',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'narihealth_footer_columns_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'1'	=> esc_html__( 'Single Column', 'narihealth' ),
		'2'	=> esc_html__( 'Two Equal Columns', 'narihealth' ),
		'3'	=> esc_html__( 'Three Equal Columns', 'narihealth' ),
		'4'	=> esc_html__( 'Four Equal Columns', 'narihealth' ),
		'5'	=> esc_html__( '6 + 3 + 3', 'narihealth' ),
		'6'	=> esc_html__( '3 + 6 + 3', 'narihealth' ),
		'7'	=> esc_html__( '4 + 5 + 3', 'narihealth' ),
		'8'	=> esc_html__( '2 + 4 + 3 + 3', 'narihealth' ),
	),
) );

// footer_columns_top_padding
narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_footer_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'narihealth' ),
		'section'     	=> 'narihealth_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_footer_columns_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-footer-row',
			'property'	 => 'padding-top',
			)
		),
	)
);

// footer_bottom_padding
narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_footer_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'narihealth' ),
		'section'     	=> 'narihealth_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_footer_columns_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-footer-row',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// copyright_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_copyright_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_footer_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Copyright', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_copyright_enable',
	'label'       	 => '',
	'section'		 => 'narihealth_section_footer_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// copyright_columns
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_copyright_columns',
	'label'       =>  esc_html__('Number of Copyright Columns', 'narihealth'),
	'section'     => 'narihealth_section_footer_settings',
	'default'     => '2',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'narihealth_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'1'	=> esc_html__( 'Single Column', 'narihealth' ),
		'2'	=> esc_html__( 'Two Equal Columns', 'narihealth' ),
        '3'	=> esc_html__( '2 + 4 + 6', 'narihealth' ),
	),
) );

// copyright_first_col_text_align
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'select',
	'settings'		 => 'copyright_first_col_text_align',
	'label'       	 => esc_html__( 'Copyright First Column - Text Align', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_settings',
	'default'     	 => 'text-left',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'narihealth_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'text-center'	=> esc_html__( 'Center', 'narihealth' ),
		'text-left'	 	=> esc_html__( 'Left', 'narihealth' ),
		'text-right'	=> esc_html__( 'Right', 'narihealth' ),
	),
) );

// copyright_second_col_text_align
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'select',
	'settings'		 => 'copyright_second_col_text_align',
	'label'       	 => esc_html__( 'Copyright Second Column - Text Align', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_settings',
	'default'     	 => 'text-left',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'narihealth_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'text-center'	=> esc_html__( 'Center', 'narihealth' ),
		'text-left'	 	=> esc_html__( 'Left', 'narihealth' ),
		'text-right'	=> esc_html__( 'Right', 'narihealth' ),
	),
) );

// copyright_second_col_text_align
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'select',
	'settings'		 => 'copyright_third_col_text_align',
	'label'       	 => esc_html__( 'Copyright Thrid Column - Text Align', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_settings',
	'default'     	 => 'text-left',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'narihealth_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'text-center'	=> esc_html__( 'Center', 'narihealth' ),
		'text-left'	 	=> esc_html__( 'Left', 'narihealth' ),
		'text-right'	=> esc_html__( 'Right', 'narihealth' ),
	),
) );

// copyright_top_padding
narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_copyright_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'narihealth' ),
		'section'     	=> 'narihealth_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_copyright_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'padding-top',
			)
		),
	)
);

// copyright_bottom_padding
narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_copyright_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'narihealth' ),
		'section'     	=> 'narihealth_section_footer_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_copyright_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// footer styles
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_footer_style_settings',
	'section'	 => 'narihealth_section_footer_style_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Complete Footer Section', 'narihealth' ) . '</div>',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'background',
	'settings'    => 'narihealth_footer_background',
	'section'     => 'narihealth_section_footer_style_settings',
    'default'     => array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> ''
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'output'    => array( array( 'element'  => '.dtr-footer-section-wrap' ), ),
) );

// footer_border_top_width
narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_footer_border_top_width',
		'label'		 	=> esc_html__( 'Border Top Width', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'narihealth' ),
		'section'     	=> 'narihealth_section_footer_style_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section',
			'property'	 => 'border-top-width',
			)
		),
	)
);

// footer_border_top_color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_footer_border_top_color',
	'label'			 => esc_html__( 'Border Top Color', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_style_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section',
			'property'	 => 'border-top-color',
		)
	),
	'transport'		 => 'auto',
) );

// copyright styles
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_copyright_style_settings',
	'section'	 => 'narihealth_section_footer_style_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Copyright', 'narihealth' ) . '</div>',
	'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_copyright_enable',
				'operator' => '==',
				'value'    => 'show',
			),
	),
	'priority'	 => 10,
) );

// copyright
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'background',
	'settings'    => 'narihealth_copyright_background',
	'section'     => 'narihealth_section_footer_style_settings',
    'default'     => array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> ''
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_copyright_enable',
				'operator' => '==',
				'value'    => 'show',
			),
	),
	'output'    => array( array( 'element'  => '.dtr-copyright' ), ),
) );

narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_copyright_border_top_width',
		'label'		 	=> esc_html__( 'Copyright -  Border Top Width', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'narihealth' ),
		'section'     	=> 'narihealth_section_footer_style_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_footer_enable',
				'operator' => '==',
				'value'    => 'show',
			),
			array(
				'setting'  => 'narihealth_copyright_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'border-top-width',
			)
		),
	)
);

// copyright_border_top_color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_copyright_border_top_color',
	'label'			 => esc_html__( 'Copyright - Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_style_settings',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'border-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'narihealth_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );


// scroll top
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_enable_scroll_top',
	'label'       	 => esc_html__( 'Scroll To Top', 'narihealth' ),
	'section'		 => 'narihealth_section_scroll_top',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// scroll top background
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_scroll_top_bg_color',
	'label'			 => esc_html__( 'Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_scroll_top',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_scroll_top_color',
	'label'			 => esc_html__( 'Icon Color', 'narihealth' ),
	'section'		 => 'narihealth_section_scroll_top',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top:before',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_scroll_top_hover_bg_color',
	'label'			 => esc_html__( 'Hover - Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_scroll_top',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top:hover',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_scroll_top_hover_color',
	'label'			 => esc_html__( 'Hover - Icon Color', 'narihealth' ),
	'section'		 => 'narihealth_section_scroll_top',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top:hover:before',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// take top on mobile
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_enable_mobile_scroll_top',
	'label'       => esc_html__( 'Scroll To Top on Small Screens', 'narihealth' ),
	'section'     => 'narihealth_section_scroll_top',
	'default'     => '',
	'priority'    => 10,
	'choices'     => array(
		''	 				=> esc_html__( 'Show', 'narihealth' ),
		'd-none d-lg-block'	=> esc_html__( 'Hide', 'narihealth' ),
	),
) );

// footer starts
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_footer_typo',
	'label'       => esc_html__( 'Footer Typography', 'narihealth' ),
	'section'     => 'narihealth_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap',
		),
	),
) );
// footer text
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_footer_color',
	'label'			 => esc_html__( 'Color', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer link
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_footer_link_color',
	'label'			 => esc_html__( 'Link Color', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer link hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_footer_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer headings
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_footer_headings_color',
	'label'			 => esc_html__( 'Headings Color', 'narihealth' ),
	'section'		 => 'narihealth_section_footer_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' => array( '.dtr-footer-section-wrap h1', '.dtr-footer-section-wrap h2', '.dtr-footer-section-wrap h3', '.dtr-footer-section-wrap h4', '.dtr-footer-section-wrap h5', '.dtr-footer-section-wrap h6' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// h1
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_footer_h1_typo',
	'label'       => esc_html__( 'H1', 'narihealth' ),
	'section'     => 'narihealth_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h1',
		),
	),
) );

// h2
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_footer_h2_typo',
	'label'       => esc_html__( 'H2', 'narihealth' ),
	'section'     => 'narihealth_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h2',
		),
	),
) );

// h3
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_footer_h3_typo',
	'label'       => esc_html__( 'H3', 'narihealth' ),
	'section'     => 'narihealth_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h3',
		),
	),
) );

// h4
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_footer_h4_typo',
	'label'       => esc_html__( 'H4', 'narihealth' ),
	'section'     => 'narihealth_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h4',
		),
	),
) );

// h5
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_footer_h5_typo',
	'label'       => esc_html__( 'H5', 'narihealth' ),
	'section'     => 'narihealth_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h5',
		),
	),
) );

// h6
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_footer_h6_typo',
	'label'       => esc_html__( 'H6', 'narihealth' ),
	'section'     => 'narihealth_section_footer_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap h6',
		),
	),
) );

// copyright
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_copyright_typo',
	'label'       => esc_html__( 'Copyright', 'narihealth' ),
	'section'     => 'narihealth_section_copyright_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-footer-section-wrap .dtr-copyright',
		),
	),
) );

// copyright text
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_copyright_color',
	'label'			 => esc_html__( 'Copyright Color', 'narihealth' ),
	'section'		 => 'narihealth_section_copyright_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap .dtr-copyright',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// link
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_copyright_link_color',
	'label'			 => esc_html__( 'Copyright Link Color', 'narihealth' ),
	'section'		 => 'narihealth_section_copyright_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap .dtr-copyright a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// link hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_copyright_link_hover_color',
	'label'			 => esc_html__( 'Copyright Link Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_copyright_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-footer-section-wrap .dtr-copyright a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );