<?php
narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_site_pages_top_padding',
		'label'		 	=> esc_html__( 'Padding Top to Pages / Posts', 'narihealth' ),
		'description'	=> esc_html__( 'This will work for non elementor pages. Provide unit. Ex. 100px', 'narihealth' ),
		'section'     	=> 'narihealth_section_pages',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-main-wrapper',
			'property'	 => 'padding-top',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_site_pages_bottom_padding',
		'label'		 	=> esc_html__( 'Padding Bottom to Pages / Posts', 'narihealth' ),
		'description'	=> esc_html__( 'This will work for non elementor pages. Provide unit. Ex. 100px', 'narihealth' ),
		'section'     	=> 'narihealth_section_pages',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-main-wrapper',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_ele_posts_top_padding',
		'label'		 	=> esc_html__( 'Padding Top to Elementor Posts', 'narihealth' ),
		'description'	=> esc_html__( 'This will work for single posts edited with elementor, in case need to set top padding at once to all posts. Provide unit. Ex. 100px', 'narihealth' ),
		'section'     	=> 'narihealth_section_pages',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.elementor-default.elementor-page.single-post #dtr-main-wrapper',
			'property'	 => 'padding-top',
			'suffix'	 => ' !important',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config', 
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_ele_posts_bottom_padding',
		'label'		 	=> esc_html__( 'Padding Bottom to Elementor Posts', 'narihealth' ),
		'description'	=> esc_html__( 'This will work for single posts edited with elementor, in case need to set top padding at once to all posts. Provide unit. Ex. 100px', 'narihealth' ),
		'section'     	=> 'narihealth_section_pages',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.elementor-default.elementor-page.single-post #dtr-main-wrapper',
			'property'	 => 'padding-bottom',
			'suffix'	 => ' !important',
			)
		),
	)
);
// page layout
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_page_layout',
	'label'       => esc_html__( 'Global Page Layout Style', 'narihealth' ),
	'description' => esc_html__( 'Can be override individually for page.', 'narihealth' ),
	'section'     => 'narihealth_section_pages',
	'default'     => 'dtr-fullwidth',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-fullwidth' 	=> esc_html__('No Sidebar', 'narihealth'),
		'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'narihealth'),
		'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'narihealth'),
	),
) );

// page comments
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'checkbox',
	'settings'    => 'narihealth_enable_page_comments',
	'label'       => esc_html__( 'Comments on pages', 'narihealth' ),
	'section'	  => 'narihealth_section_pages',
	'default'     => '1',
	'priority'    => 10,
) );

// schema
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'checkbox',
	'settings'    => 'narihealth_enable_schema_markup',
	'label'       => esc_html__( 'Enable Schema Markup', 'narihealth' ),
	'section'     => 'narihealth_section_seo',
	'default'     => '1',
	'priority'    => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'checkbox',
	'settings'    => 'narihealth_enable_theme_container_width',
	'label'       => esc_html__( 'Disable - Theme Default Container Width', 'narihealth' ),
    'description' => esc_html__( 'Leave it disabled, unless required to edit these via elementor settings, for some purpose. This will disable it for both, bootstrap container and elementor container.', 'narihealth' ),
	'section'	  => 'narihealth_section_general_site_settings',
	'default'     => '0',
	'priority'    => 10,
) );
