<?php
// Header section fields
// header layout
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_header_layout',
	'label'       => esc_html__( 'Select Header Layout Style', 'narihealth' ),
	'description' => esc_html__( 'This will be applied globally.', 'narihealth' ),
	'section'     => 'narihealth_section_header_general_settings',
	'default'     => 'header-v3',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'header-v1'	=> esc_html__( 'Style 1 - Classic', 'narihealth' ),
	    'header-v2'	=> esc_html__( 'Style 2 - Center Menu', 'narihealth' ),
		'header-v3'	=> esc_html__( 'Style 3 - Top Fixed', 'narihealth' ),
		'header-v4'	=> esc_html__( 'Style 4 - Center Logo', 'narihealth' ),
	),
) );

// menubar
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_header_menubar_enable',
	'label'       	 => esc_html__( 'Menubar', 'narihealth' ),
	'section'		 => 'narihealth_section_header_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// Header Search
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_header_search_enable',
	'label'       	 => esc_html__( 'Header Search', 'narihealth' ),
	'section'		 => 'narihealth_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_header_search_mleft',
		'label'		 	=> esc_html__( 'Margin Left', 'narihealth' ),
		'section'     	=> 'narihealth_section_header_general_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide only if required, like in case hiding widget area.', 'narihealth' ),
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_search_enable',
				'operator' => '==',
				'value'    => 'show',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '.dtr-search-modal-trigger',
			'property'	 => 'margin-left',
			)
		),
	)
);

// topbar
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_topbar_enable',
	'label'       	 => esc_html__( 'Topbar', 'narihealth' ),
	'section'		 => 'narihealth_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'narihealth_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// button in header
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_header_btn_enable',
	'label'       	 => esc_html__( 'Button in Header', 'narihealth' ),
	'section'		 => 'narihealth_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// Header Widget Area - One
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_header_widget_area_one_enable',
	'label'       	 => esc_html__( 'Header Widget Area - One', 'narihealth' ),
	'section'		 => 'narihealth_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// Header Widget Area - Two
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_header_widget_area_two_enable',
	'label'       	 => esc_html__( 'Header Widget Area - Two', 'narihealth' ),
	'section'		 => 'narihealth_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// Header Widget Area - Three
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_header_widget_area_three_enable',
	'label'       	 => esc_html__( 'Header Widget Area - Three', 'narihealth' ),
	'section'		 => 'narihealth_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'narihealth_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// main header starts
// background
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        	=> 'background',
	'settings'    	=> 'narihealth_main_header_background',
	'label'       	=> esc_html__( 'Background', 'narihealth' ),
	'section'     	=> 'narihealth_section_main_header_settings',
    'default'		=> array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> 100
        ),
	'priority'		=> 10,
	'transport'		=> 'auto',
	'output'		=> array( array( 'element'  => '#dtr-header-global' ),  ),
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_main_header_border_bottom_width',
		'label'		 	=> esc_html__( 'Border Bottom Width', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'narihealth' ),
		'section'     	=> 'narihealth_section_main_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global',
			'property'	 => 'border-bottom-width',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_main_header_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'narihealth' ),
	'section'		 => 'narihealth_section_main_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#dtr-header-global',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_main_header_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'narihealth' ),
		'section'     	=> 'narihealth_section_main_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'narihealth' ),
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global',
			'property'	 => 'padding-top',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_main_header_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'narihealth' ),
		'section'     	=> 'narihealth_section_main_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'narihealth' ),
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// topbar starts
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'background',
	'settings'    => 'narihealth_topbar_background',
	'label'       => esc_html__( 'Background', 'narihealth' ),
	'section'     => 'narihealth_section_topbar_settings',
    'default'     => array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> 100
        ),
	'priority'	=> 10,
	'transport'	=> 'auto',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'    => array( array( 'element'  => '#dtr-topbar' ),  ),
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_topbar_border_bottom_width',
		'label'		 	=> esc_html__( 'Border Bottom Width', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'narihealth' ),
		'section'     	=> 'narihealth_section_topbar_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '#dtr-topbar',
			'property'	 => 'border-bottom-width',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_topbar_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'narihealth' ),
	'section'		 => 'narihealth_section_topbar_settings',
	'priority'		 => 10,
	'default'        => '',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
		array(
			'setting'  => 'narihealth_header_layout',
			'operator' => '!=',
			'value'    => 'header-v4',
		),
	),
	'output'		 => array(
		array(
			'element'	 => '#dtr-topbar',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_topbar_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'narihealth' ),
		'section'     	=> 'narihealth_section_topbar_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'narihealth' ),
		'priority'		 => 10,
		'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '#dtr-topbar',
			'property'	 => 'padding-top',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_topbar_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'narihealth' ),
		'section'     	=> 'narihealth_section_topbar_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'description'	=> esc_html__( 'Provide unit. Ex. 20px', 'narihealth' ),
		'priority'		 => 10,
		'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_layout',
			'operator' => '!=',
			'value'    => 'header-v3',
		),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
		),
		'output'		 => array(
		array(
			'element'	 => '#dtr-topbar',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// topbar typography
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_topbar_typo',
	'label'       => esc_html__( 'Font Settings', 'narihealth' ),
	'section'     => 'narihealth_section_topbar_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'      => array(
		array(
			'element' => array( '#dtr-topbar' ),
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_topbar_color',
	'label'			 => esc_html__( 'Text Color', 'narihealth' ),
	'section'		 => 'narihealth_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_topbar_link_color',
	'label'			 => esc_html__( 'Link Color', 'narihealth' ),
	'section'		 => 'narihealth_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_topbar_link_hover',
	'label'			 => esc_html__( 'Link Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'		 => array(
		array(
			'element'	 => '#dtr-topbar a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_topbar_icon_color',
	'label'			 => esc_html__( 'General Icons color ( Ex. Contact Widget, Any Icon )', 'narihealth' ),
	'section'		 => 'narihealth_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar i, #dtr-topbar .dtr-contact-widget li:before' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );

// social icons
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_topbar_social_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_topbar_typo',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #222222; color: #fff;">' . esc_html__( 'Social Icon - Style: Only Icon', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_topbar_social_color',
	'label'			 => esc_html__( 'Icon color', 'narihealth' ),
	'section'		 => 'narihealth_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar .dtr-social-default li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_topbar_social_hover_color',
	'label'			 => esc_html__( 'Icon Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar .dtr-social-default li a:hover' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_topbar_social_hover_bg_color',
	'label'			 => esc_html__( 'Icon Hover Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_topbar_typo',
	'priority'		 => 10,
	'default'        => '',
    'active_callback'  => array(
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v3',
			),
			array(
				'setting'  => 'narihealth_header_layout',
				'operator' => '!=',
				'value'    => 'header-v4',
			),
	),
	'output'		 => array(
		array(
			'element'	 => array( '#dtr-topbar .dtr-social-default li a:hover' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );
// sticky header
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_onscroll_header_enable',
	'label'       	 => esc_html__( 'Hide header on scroll for header variation 1, 2 and 4', 'narihealth' ),
	'section'		 => 'narihealth_section_sticky_header_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        	=> 'background',
	'settings'    	=> 'narihealth_sticky_header_background_color',
	'label'       	=> esc_html__( 'Background', 'narihealth' ),
	'section'     	=> 'narihealth_section_sticky_header_settings',
    'default'		=> array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> 100
        ),
	'priority'		=> 10,
	'transport'		=> 'auto',
	'output'		=> array( array( 'element'  => '#dtr-header-global.header-fixed' ),  ),
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_sticky_header_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'narihealth' ),
		'section'     	=> 'narihealth_section_sticky_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global.header-fixed',
			'property'	 => 'padding-top',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_sticky_header_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'narihealth' ),
		'section'     	=> 'narihealth_section_sticky_header_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '#dtr-header-global.header-fixed',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// page title starts
// background
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'background',
	'settings'    => 'narihealth_page_title_background',
	'label'       => esc_html__( 'Background', 'narihealth' ),
	'label'       => esc_html__( 'This is a global setting. Page can have individual image set on page edit screen.', 'narihealth' ),
	'section'     => 'narihealth_section_page_title_settings',
    'default'     => array(
            'background-color'	=> '',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.dtr-page-title-main' ), ),
) );

// overlay background
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_page_title_overlay_background',
	'label'			 => esc_html__( 'Overlay Color', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_settings',
	'priority'		 => 10,
	'choices'     => [
			'alpha' => true,
		],
	'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-overlay',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// page_title_border_top_width
narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_page_title_border_top_width',
		'label'		 	=> esc_html__( 'Border Top Width', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'narihealth' ),
		'section'     	=> 'narihealth_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-main',
			'property'	 => 'border-top-width',
			)
		),
	)
);
// page_title_border_top_color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_page_title_border_top_color',
	'label'			 => esc_html__( 'Border Top Color', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_settings',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-main',
			'property'	 => 'border-top-color',
		)
	),
	'transport'		 => 'auto',
) );

// page_title_border_bottom_width
narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_page_title_border_bottom_width',
		'label'		 	=> esc_html__( 'Border Bottom Width', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 1px', 'narihealth' ),
		'section'     	=> 'narihealth_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-main',
			'property'	 => 'border-bottom-width',
			)
		),
	)
);

// page_title_border_bottom_color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_page_title_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_settings',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-main',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_pagetitle_dm_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_page_title_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Complete Page Title Section', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_page_title_wrapper_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'narihealth' ),
		'section'     	=> 'narihealth_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-wrapper',
			'property'	 => 'padding-top',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_page_title_wrapper_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'narihealth' ),
		'section'     	=> 'narihealth_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-wrapper',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_pagetitle_content_dm_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_page_title_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Page Title Content', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_page_title_top_padding',
		'label'		 	=> esc_html__( 'Top Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'narihealth' ),
		'section'     	=> 'narihealth_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-content',
			'property'	 => 'padding-top',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_page_title_bottom_padding',
		'label'		 	=> esc_html__( 'Bottom Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'narihealth' ),
		'section'     	=> 'narihealth_section_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.dtr-page-title-content',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'background',
	'settings'    => 'narihealth_single_page_title_background',
	'label'       => esc_html__( 'Background', 'narihealth' ),
	'label'       => esc_html__( '', 'narihealth' ),
	'section'     => 'narihealth_section_single_page_title_settings',
    'default'     => array(
            'background-color'	=> '',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.single .dtr-page-title-main' ), ),
) );

// overlay background
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_single_page_title_overlay_background',
	'label'			 => esc_html__( 'Overlay Color', 'narihealth' ),
	'section'		 => 'narihealth_section_single_page_title_settings',
	'priority'		 => 10,
	'choices'     => [
			'alpha' => true,
		],
	'output'		 => array(
		array(
			'element'	 => '.single .dtr-page-title-overlay',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_single_page_title_top_padding',
		'label'		 	=> esc_html__( 'Page Title Content - Top Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'narihealth' ),
		'section'     	=> 'narihealth_section_single_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.single .dtr-page-title-content',
			'property'	 => 'padding-top',
			)
		),
	)
);

narihealth_Kirki::add_field( 'narihealth_config',
	array(
		'type'        	=> 'dimension',
		'settings'    	=> 'narihealth_single_page_title_bottom_padding',
		'label'		 	=> esc_html__( 'Page Title Content - Bottom Padding', 'narihealth' ),
		'description'	=> esc_html__( 'Provide unit. Ex. 50px', 'narihealth' ),
		'section'     	=> 'narihealth_section_single_page_title_settings',
		'transport'   	=> 'auto',
		'default'     	=> '',
		'priority'		 => 10,
		'output'		 => array(
		array(
			'element'	 => '.single .dtr-page-title-content',
			'property'	 => 'padding-bottom',
			)
		),
	)
);

// pages page title section
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'select',
	'settings'    => 'narihealth_page_title_section_align',
	'label'       => esc_html__( 'Page Title - Text Align', 'narihealth' ),
	'section'     => 'narihealth_section_page_title_combo_settings',
	'default'     => 'text-left',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'text-left'		=> esc_html__( 'Left', 'narihealth' ),
		'text-center'	=> esc_html__( 'Center', 'narihealth' ),
		'text-right'	=> esc_html__( 'Right', 'narihealth' ),
	),
) );

// page title
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_page_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Pages', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_enable_page_title',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// page heading
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_enable_page_heading',
	'label'       	 => esc_html__( 'Page Heading', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_enable_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// page desc
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_enable_page_desc',
	'label'       	 => esc_html__( 'Page Description', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_enable_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// breadcrumb
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_enable_page_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_enable_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );
// archive
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_archive_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Archives', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

// archive_title_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_archive_title_enable',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// archive_heading_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_archive_heading_enable',
	'label'       	 => esc_html__( 'Page Heading', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_archive_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// archive_breadcrumb_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_archive_breadcrumb_enable',
	'label'       	 => esc_html__( 'Breadcrumb', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_archive_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// single_title_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_single_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Single Post', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_title_enable',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// single_heading_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_heading_enable',
	'label'       	 => esc_html__( 'Page Heading', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,

	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_single_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// single_breadcrumb_enable
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_single_breadcrumb_enable',
	'label'       	 => esc_html__( 'Breadcrumb', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_single_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// testimonial page title section
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_testimonial_title_display_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_page_title_combo_settings',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Testimonial Single Post', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );


narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_testimonial_single_header',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_testimonial_single_heading',
	'label'       	 => esc_html__( 'Page Title', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_testimonial_single_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'radio',
	'settings'		 => 'narihealth_testimonial_single_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_combo_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_testimonial_single_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'narihealth' ),
		'hide'	 => esc_html__( 'Hide', 'narihealth' ),
	),
) );

// responsive header
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        	=> 'background',
	'settings'    	=> 'narihealth_mobile_header_bg_color',
	'label'       	=> esc_html__( 'Background', 'narihealth' ),
	'section'     	=> 'narihealth_section_mobile_header_settings',
    'default'		=> array(
            'background-color'	=> '',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> 100
        ),
	'priority'		=> 10,
	'transport'		=> 'auto',
	'output'		=> array( array( 'element'  => '#dtr-responsive-header' ),  ),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_mobile_hamburger_color',
	'label'			 => esc_html__( 'Hamburger Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-hamburger-lines, .dtr-hamburger-lines:after, .dtr-hamburger-lines:before',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// responsive menu typo
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_responsive_menu_bg_color',
	'label'			 => esc_html__( 'Drop Menu Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_nav, .slicknav_menu',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_responsive_menu_typo',
	'label'       => esc_html__( 'Typography', 'narihealth' ),
	'section'     => 'narihealth_section_mobile_header_settings',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'color'          => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.slicknav_nav, .slicknav_nav a, .slicknav_menu .slicknav_menutxt, .slicknav_menu .current-menu-item .sub-menu a',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_responsive_menu_hover',
	'label'			 => esc_html__( 'Link Hover / Active Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_nav a:hover, .slicknav_menu .current-menu-item a, .slicknav_menu .current-menu-item .sub-menu a:hover, .slicknav_nav .slicknav_row:hover, .slicknav_nav .slicknav_row:hover a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_responsive_menu_link_border_color',
	'label'			 => esc_html__( 'Link Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_nav li',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_responsive_menu_arrow_bg_color',
	'label'			 => esc_html__( 'Arrow Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_arrow',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_responsive_menu_arrow_color',
	'label'			 => esc_html__( 'Arrow Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mobile_header_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.slicknav_arrow',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// header search
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_header_search_color',
	'label'			 => esc_html__( 'Icon Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_search_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-search-modal-trigger::after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_header_search_hover_color',
	'label'			 => esc_html__( 'Icon Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_search_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-search-modal-trigger:hover::after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// header search
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_sticky_header_search_color',
	'label'			 => esc_html__( 'On Scroll Header: Icon Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_search_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.header-fixed .dtr-search-modal-trigger::after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_sticky_header_search_hover_color',
	'label'			 => esc_html__( 'On Scroll Header: Icon Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_search_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.header-fixed .dtr-search-modal-trigger:hover::after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// widget on in main header row
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_mainheader_widget_typo',
	'label'       => esc_html__( 'Widget in Main Header Row', 'narihealth' ),
	'section'     => 'narihealth_section_mainheader_widget_typo',
	'description' => esc_html__( 'Will work for widget in main header row.', 'narihealth' ),
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => array( '.dtr-header-widget-wrapper' ),
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_mainheader_widget_color',
	'label'			 => esc_html__( 'Text Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mainheader_widget_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-header-widget-wrapper' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_mainheader_widget_link_color',
	'label'			 => esc_html__( 'Link Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mainheader_widget_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-header-widget-wrapper a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_mainheader_widget_link_hover',
	'label'			 => esc_html__( 'Link Hover Color', 'narihealth' ),
	'section'		 => 'narihealth_section_mainheader_widget_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-widget-wrapper a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// page title
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_page_title_typo',
	'label'       => esc_html__( 'Page Title / Archives Page Title', 'narihealth' ),
	'section'     => 'narihealth_section_page_title_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-page-title',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_sm_page_title_size',
    'label'   				=>  esc_html__('Page Title Size: For Small Screens', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_page_title_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'narihealth_sm_page_title_lh',
    'label'   				=>  esc_html__('Page Title Line Height: For Small Screens', 'narihealth'),
	'description'	 		=> esc_html__( 'Provide unit. Ex. 1em', 'narihealth' ),
	'section'		 		=> 'narihealth_section_page_title_typo',
	'priority'		 		=> 10,
	'default'        		=> '',
	'transport'		 		=> 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_page_desc_typo',
	'label'       => esc_html__( 'Page Description', 'narihealth' ),
	'section'     => 'narihealth_section_page_title_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '',
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-page-desc',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_breadcrumb_typo',
	'label'       => esc_html__( 'Breadcrumb', 'narihealth' ),
	'section'     => 'narihealth_section_page_title_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.breadcrumbs, .breadcrumbs a',
		),
	),
) );

// breadcrumb_link_hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_breadcrumb_link_color',
	'label'			 => esc_html__( 'Breadcrumb Color', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.breadcrumbs, .breadcrumbs a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// breadcrumb_link_hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_breadcrumb_link_hover',
	'label'			 => esc_html__( 'Breadcrumb Link Hover', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.breadcrumbs a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// breadcrumb_separator_color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_breadcrumb_separator_color',
	'label'			 => esc_html__( 'Breadcrumb Separator Color', 'narihealth' ),
	'section'		 => 'narihealth_section_page_title_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.breadcrumbs li:after',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu starts
// default menu
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_nav_typo_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'Menu Font Settings', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

// menu font
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_menu_link_typo',
	'label'       => esc_html__( 'Font Settings', 'narihealth' ),
	'section'     => 'narihealth_section_menu_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.main-navigation .sf-menu li a',
		),
	),
) );

// dropdown font
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'        => 'typography',
	'settings'    => 'narihealth_menu_dropdown_typo',
	'label'       => esc_html__( 'Dropdown Font Settings', 'narihealth' ),
	'section'     => 'narihealth_section_menu_typo',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => '',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.main-navigation .sf-menu li li a',
		),
	),
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_dark_nav_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #333; color: #fff;">' . esc_html__( 'Color Settings: Default Menu', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_default_menu_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'This is menu on page load.', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

// menu link
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_menu_link_color',
	'label'			 => esc_html__( 'Link color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-default .sf-menu li a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_menu_link_hover_color',
	'label'			 => esc_html__( 'Link Hover color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-default .sf-menu li a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link active
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_menu_link_active_color',
	'label'			 => esc_html__( 'Link Active color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-default .sf-menu li.current-menu-item a, .dtr-menu-default .sf-menu li.current-menu-ancestor > a, .dtr-menu-default .sf-menu .active' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Background Color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_menu_dropdown_bg_color',
	'label'			 => esc_html__( 'Dropdown Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-default .sf-menu ul', '.dtr-menu-default .sf-menu ul ul' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// dropdown link color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_menu_dropdown_link_color',
	'label'			 => esc_html__( 'Dropdown Link Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-default .sf-menu li li a', '.dtr-menu-default .sf-menu .sub-menu li.current-menu-item li a', '.dtr-menu-default .sf-menu li.current-menu-item li a', '.dtr-menu-default .sf-menu ul li.current-menu-item a', '.dtr-menu-default .sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link - Hover / Active - Color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_menu_dropdown_hover_color',
	'label'			 => esc_html__( 'Dropdown Link - Hover / Active - Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-default .sf-menu .sub-menu li.current-menu-item li a:hover', '.dtr-menu-default .sf-menu .sub-menu li.current-menu-item a', '.dtr-menu-default .sf-menu li li.current-menu-ancestor > a', '.dtr-menu-default .sf-menu ul li a:hover', '.dtr-menu-default .sf-menu ul li:hover > a', '.dtr-menu-default .sf-menu ul li:hover > a::after', '.dtr-menu-default .sf-menu > li li.menu-item-has-children a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_menu_dropdown_link_border_color',
	'label'			 => esc_html__( 'Dropdown Link - Border Bottom Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu ul li::after, .sf-menu ul a::before' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_menu_dropdown_link_hover_border_color',
	'label'			 => esc_html__( 'Dropdown Link Hover - Border Bottom Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu ul a:hover::before, .sf-menu ul a:focus::before, .sf-menu ul a:active::before' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// menu ends
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_light_nav_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #333; color: #fff;">' . esc_html__( 'Color Settings: Alt Menu', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'		 => 'custom',
	'settings'	 => 'narihealth_alt_menu_help_settings',
	'label'		 => '',
	'section'	 => 'narihealth_section_menu_typo',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: rgba(60, 127, 250,0.18); color: #3c7ffa;">' . esc_html__( 'This is menu on page scroll.', 'narihealth' ) . '</div>',
	'priority'	 => 10,
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_alt_menu_link_color',
	'label'			 => esc_html__( 'Link color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-alt  .sf-menu li a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link hover
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_alt_menu_link_hover_color',
	'label'			 => esc_html__( 'Link Hover color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-alt .sf-menu li a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link active
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_alt_menu_link_active_color',
	'label'			 => esc_html__( 'Active Link color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu li.current-menu-item a, .dtr-menu-alt .sf-menu li.current-menu-ancestor > a, .dtr-menu-alt .sf-menu .active' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Background Color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_alt_menu_dropdown_bg_color',
	'label'			 => esc_html__( 'Dropdown Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu ul', '.dtr-menu-alt .sf-menu ul ul' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// dropdown link color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_alt_menu_dropdown_link_color',
	'label'			 => esc_html__( 'Dropdown Link Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu li li a', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu ul li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link - Hover / Active - Color
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_alt_menu_dropdown_hover_color',
	'label'			 => esc_html__( 'Dropdown Link - Hover / Active - Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a:hover', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a', '.dtr-menu-alt .sf-menu ul li a:hover', '.dtr-menu-alt .sf-menu ul li:hover > a', '.dtr-menu-alt .sf-menu ul li:hover > a::after', '.dtr-menu-alt .sf-menu > li li.menu-item-has-children a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_alt_menu_dropdown_link_border_color',
	'label'			 => esc_html__( 'Dropdown Link - Border Bottom Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu ul li::after, .dtr-menu-alt .sf-menu ul a::before' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_alt_menu_dropdown_link_hover_border_color',
	'label'			 => esc_html__( 'Dropdown Link Hover - Border Bottom Color', 'narihealth' ),
	'section'		 => 'narihealth_section_menu_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu ul a:hover::before, .dtr-menu-alt .sf-menu ul a:focus::before, .dtr-menu-alt .sf-menu ul a:active::before' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// header button
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_header_btn_text',
	'label'			 => esc_html__( 'Button Text', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Book Consultation', 'narihealth' ),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'narihealth_header_btn_text' => array(
			'selector'        => '#dtr-header-global .dtr-btn__text',
			'render_callback'	=> function() { 
				echo esc_html( get_theme_mod( 'narihealth_header_btn_text' ) );
			},
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_header_btn_icon',
	'label'			 => esc_html__( 'Button Icon Name', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'icon-caret-right-solid', 'narihealth' ),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'narihealth_header_btn_icon' => array(
			'selector'        => '#dtr-header-global .dtr-btn__icon',
			'render_callback'	=> function() { 
				echo wp_kses_post( get_theme_mod( 'narihealth_header_btn_icon' ) );
			},
		),
	),
	'transport'		 => 'auto',
) );


narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'text',
	'settings'		 => 'narihealth_header_btn_link',
	'label'			 => esc_html__( 'Button URL', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( '#', 'narihealth' ),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );
// header button styles
narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_header_btn_bg_color',
	'label'			 => esc_html__( 'Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn',
			'property'	 => 'background-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_header_btn_color',
	'label'			 => esc_html__( 'Text / Icon Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn .dtr-btn__text, .dtr-header-btn .dtr-btn__icon',
			'property'	 => 'color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_header_btn_border_color',
	'label'			 => esc_html__( 'Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn',
			'property'	 => 'border-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_header_btn_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-btn:hover',
			'property'	 => 'background-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_header_hover_btn_color',
	'label'			 => esc_html__( 'Hover: Text / Icon Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-btn:hover .dtr-btn__text, .dtr-header-btn:hover .dtr-btn__icon',
			'property'	 => 'color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

narihealth_Kirki::add_field( 'narihealth_config', array(
	'type'			 => 'color',
	'settings'		 => 'narihealth_header_btn_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border Color', 'narihealth' ),
	'section'		 => 'narihealth_section_header_button_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-btn:hover',
			'property'	 => 'border-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'narihealth_header_btn_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );