<?php
/**
 * The template for displaying testimonial details.
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
get_header(); 
$title_align = get_theme_mod( 'narihealth_page_title_section_align', 'text-left' );
?>
<?php if ( 'show' == get_theme_mod( 'narihealth_testimonial_single_header', 'show' ) ) { ?>
<div class="dtr-page-title-main <?php echo esc_attr( $title_align ); ?>">
    <div class="dtr-page-title-overlay"></div>
    <div class="dtr-page-title-wrapper">
        <?php if ( function_exists('bcn_display_list') && 'show' == get_theme_mod( 'narihealth_testimonial_single_breadcrumb', 'show' ) ) { ?>
        <div class="dtr-breadcrumb-wrapper">
            <?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
        </div>
        <?php } ?>
        <div class="dtr-page-title-content">
            <?php if ( 'show' == get_theme_mod( 'narihealth_testimonial_single_heading', 'show' ) ) { ?>
            <?php the_title( '<h1 class="dtr-page-title">', '</h1>' ); ?>
            <?php } ?>
        </div>
    </div>
</div>
<?php } ?>
<!-- #page header -->
<div id="dtr-main-wrapper" class="container clearfix dtr-fullwidth">
    <main id="dtr-primary-section" class="dtr-content-area" <?php narihealth_schema_markup( 'main' ); ?>>
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <?php if ( 'show' == get_theme_mod( 'narihealth_testimonial_single_image', 'show' ) ) { ?>
            <div class="dtr-testimonial-thumb">
                <?php the_post_thumbnail(); ?>
            </div>
            <?php } ?>
            <div class="entry-content">
                <?php the_content(); ?>
            </div>
        </article>
        <?php // post nav
			if ( 'title_nav' == get_theme_mod( 'narihealth_single_pagination_style', 'nextprev_nav' ) ) {
				narihealth_title_post_nav();
			} else {
				narihealth_post_nav(); 
			}  ?>
        <?php endwhile; ?>
        <?php endif; ?>
    </main>
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer();
