<?php
/**
 * The template file for single post
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
get_header(); 
if( is_active_sidebar('widgets-blog') ) {
	$narihealth_default_layout_class = narihealth_get_layout_class(); 
} else { 
 	$narihealth_default_layout_class = 'dtr-fullwidth';  
} 
?>
<div id="dtr-main-wrapper" class="container clearfix <?php echo esc_attr( $narihealth_default_layout_class ) ?>">
    <main id="dtr-primary-section" class="dtr-content-area" <?php narihealth_schema_markup( 'main' ); ?>>
        <?php 
		while ( have_posts() ) : the_post(); ?>
        <div class="dtr-primary-section-content">
            <?php // single post content
			get_template_part( '/template-parts/post/single-layout', get_post_format() ); ?>
        </div>
        <?php 
			// author bio
			if ( '' != get_the_author_meta( 'description' ) && is_multi_author() ) {
				get_template_part( '/template-parts/post/author-bio' ); 
			} 
			// post nav
			if ( 'title_nav' == get_theme_mod( 'narihealth_single_pagination_style', 'nextprev_nav' ) ) {
				narihealth_title_post_nav();
			} else {
				narihealth_post_nav(); 
			}
			// comments
			if ( comments_open() || get_comments_number() ) {
				comments_template(); 
			} ?>
        <?php endwhile; ?>
    </main>
    <!-- #dtr-primary-section -->
    <?php if( is_active_sidebar('widgets-blog') ) {
	 get_sidebar(); } ?>
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer();