<?php
/**
 * Template for displaying header v3
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
?>
<div id="dtr-header-global" class="fixed-top">
    <div class="dtr-header-global-content">
        <div class="dtr-header-left">
            <?php get_template_part( '/template-parts/header/logo' ); ?>
            <?php get_template_part( '/template-parts/header/logo-alt' ); ?>
        </div>
        <div class="dtr-header-right ms-auto">
            <?php if ( 'show' == get_theme_mod( 'narihealth_header_menubar_enable', 'show' ) ) { ?>
            <div class="main-navigation dtr-menu-default" <?php narihealth_schema_markup( 'site_navigation' ); ?>>
                <?php get_template_part( '/template-parts/header/main-menu' ); ?>
            </div>
            <?php } ?>
        </div>
        <?php if ( is_active_sidebar( 'widget-header-one' ) && 'show' == get_theme_mod( 'narihealth_header_widget_area_one_enable', 'hide' ) ) { ?>
        <div class="dtr-header-widget-one dtr-header-widget-wrapper clearfix">
            <?php dynamic_sidebar( 'widget-header-one' ); ?>
        </div>
        <?php } ?>
        <?php if ( 'show' == get_theme_mod( 'narihealth_header_search_enable', 'hide' ) ) { ?>
        <a href="#dtr-search-modal" role="button" class="dtr-search-modal-trigger" aria-label="<?php esc_attr_e( 'Search Modal Button', 'narihealth' ); ?>"></a>
        <?php } ?>
         <?php if ( 'show' == get_theme_mod( 'narihealth_header_btn_enable', 'hide' ) ) { ?>
        <a href="<?php echo esc_url( get_theme_mod( 'narihealth_header_btn_link', '#' ) ); ?>" class="dtr-btn dtr-header-btn"> <span class="dtr-btn__text"><?php echo esc_html( get_theme_mod( 'narihealth_header_btn_text', 'Book Consultation' ) ); ?></span>
        <?php if ( get_theme_mod( 'narihealth_header_btn_icon', '' ) !== '' ) { ?>
        <span class="dtr-icon dtr-btn__icon"><i class="<?php echo esc_html( get_theme_mod( 'narihealth_header_btn_icon', '' ) ); ?>"></i></span>
        <?php } ?>
        </a>
        <?php } ?>
    </div>
</div>
<?php get_template_part( '/template-parts/header/responsive-header' ); ?>
<?php if ( 'show' == get_theme_mod( 'narihealth_header_search_enable', 'hide' ) ) { 
	get_template_part( '/template-parts/header/search-modal' ); 
}