<?php
/**
 * The Title for page
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
$page_desc = '';
$title_align = get_theme_mod( 'narihealth_page_title_section_align', 'text-left' );
$page_desc  = get_post_meta( $post->ID, '_narihealth_page_desc_meta', true );
if ( ! is_home() && ! is_front_page() && 'show' == get_theme_mod( 'narihealth_enable_page_title', 'show' ) ) { ?>
<div class="dtr-page-title-main <?php echo esc_attr( $title_align ); ?>">
    <div class="dtr-page-title-overlay"></div>
    <div class="container">
        <div class="dtr-page-title-wrapper">
            <?php if ( function_exists('bcn_display_list') && 'show' == get_theme_mod( 'narihealth_enable_page_breadcrumb', 'show' ) ) { ?>
            <div class="dtr-breadcrumb-wrapper">
                <?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
            </div>
            <?php } ?>
            <div class="dtr-page-title-content">
                <?php if ( 'show' == get_theme_mod( 'narihealth_enable_page_heading', 'show' ) ) { ?>
                <?php the_title( '<h1 class="dtr-page-title">', '</h1>' ); ?>
                <?php } ?>
                <?php if ( $page_desc != '' && 'show' == get_theme_mod( 'narihealth_enable_page_desc', 'show' ) ) { ?>
                <p class="dtr-page-desc"><?php echo esc_html( $page_desc ); ?></p>
                <?php } ?>
            </div>
        </div>
    </div>
</div>
<?php }