<?php
/**
 * The Title for single post 
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 

if ( is_singular('dtr_testimonial') ) return;
$single_heading	=  get_theme_mod( 'narihealth_blog_title', esc_html__( 'Blog','narihealth' ) ); 
$title_align = get_theme_mod( 'narihealth_page_title_section_align', 'text-left' );
if ( 'show' == get_theme_mod( 'narihealth_single_title_enable', 'show' ) ) { ?>
<div class="dtr-page-title-main <?php echo esc_attr( $title_align ); ?>">
    <div class="dtr-page-title-overlay"></div>
    <div class="container">
        <div class="dtr-page-title-wrapper">
            <?php if ( function_exists('bcn_display_list') && 'show' == get_theme_mod( 'narihealth_single_breadcrumb_enable', 'show' ) ) { ?>
            <div class="dtr-breadcrumb-wrapper">
                <?php get_template_part( '/template-parts/header/breadcrumb' ); ?>
            </div>
            <?php } ?>
            <div class="dtr-page-title-content">
                <?php if ( has_category() && 'show' == get_theme_mod( 'narihealth_single_category_enable', 'show' ) ) { ?>
                <div class="dtr-single-pre-meta">
                    <div class="dtr-meta-category">
                        <?php the_category( ' ', get_the_ID() ); ?>
                    </div>
                </div>
                <?php } ?>
                <?php if ( 'show' == get_theme_mod( 'narihealth_single_heading_enable', 'show' ) ) { ?>
                <div class="dtr-single-post-title">
                    <?php the_title( '<h1 class="dtr-page-title">', '</h1>' ); ?>
                </div>
                <?php } ?>
                <?php while ( have_posts() ) : the_post();
                get_template_part( '/template-parts/post/meta/blog-single-meta' );
                endwhile; 
                rewind_posts(); ?>
            </div>
        </div>
    </div>
</div>
<?php }