<?php
/**
 * Template for displaying single post layout - standard post format
 *
 * @package NarihealthTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
if ( ! has_post_thumbnail() ) {
	$no_thumb = 'dtr-has-no-thumb';	
} else { 
	$no_thumb = ''; 
}
$tags_title	= get_theme_mod( 'narihealth_tags_title_text', 'Tags' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php narihealth_schema_markup( 'blog_post' ); ?>>
    <div class="dtr-post-content-wrapper <?php echo esc_attr ( $no_thumb ) ?>">
        <?php if ( ! post_password_required() ) : 
			if ( has_post_thumbnail() ) {
				get_template_part( '/template-parts/post/media/single-thumb' ); 
			} 	endif;  ?>
        <div class="dtr-post-content-inner">
            <?php get_template_part( '/template-parts/post/content/single-content' ); ?>
            <?php if ( has_tag() && 'show' == get_theme_mod( 'narihealth_single_tags_enable', 'show' ) ||  class_exists( 'dtr_narihealth_core' ) && 'show' == get_theme_mod( 'narihealth_social_share_enable', 'show' ) ) { ?>
            <div class="dtr-post-btm-content">
                <?php if ( has_tag() && 'show' == get_theme_mod( 'narihealth_single_tags_enable', 'show' ) ) { ?>
                <div class="dtr-meta-tags">
                    <h6 class="dtr-tags-title"><?php echo esc_html($tags_title) ?></h6>
                    <?php the_tags( '','' ); ?>
                </div>
                <?php } ?>
                <?php if ( class_exists( 'dtr_narihealth_core' ) && 'show' == get_theme_mod( 'narihealth_social_share_enable', 'show' ) ) { narihealth_social_share_hook(); } ?>
            </div>
             <?php } ?>
        </div>
    </div>
</article>