<?php
// custom post types
/**
 * Registers testimonial post type
 * @since  1.0.0
 */
add_action( 'init', 'narihealth_register_testimonial_posttype' );
function narihealth_register_testimonial_posttype() {

	$testimonial_slug = '';
	$testimonial_slug	=	get_theme_mod('narihealth_testimonial_slug_text', esc_html__('testimonial','narihealth')); 

	$labels = array(
		'name'               => _x( 'Testimonial', 'post type general name', 'narihealth' ),
		'singular_name'      => _x( 'Testimonial', 'post type singular name', 'narihealth' ),
		'all_items'          => __( 'Testimonials', 'narihealth' ),
		'add_new'            => __( 'Add New', 'narihealth' ),
		'add_new_item'       => __( 'Add New Testimonial', 'narihealth' ),
		'edit_item'          => __( 'Edit Testimonial', 'narihealth' ),
		'new_item'           => __( 'New Testimonial', 'narihealth' ),
		'view_item'          => __( 'View Testimonial', 'narihealth' ),
		'search_items'       => __( 'Search Testimonials', 'narihealth' ),
		'not_found'          => __( 'No Testimonials found', 'narihealth' ),
		'not_found_in_trash' => __( 'No Testimonials found in Trash', 'narihealth' ),
    );
	$args = array(
		'labels'          => $labels,
	    'public'          => true,  
        'show_ui'         => true,  
        'capability_type' => 'post',  
        'hierarchical'    => false,  
        'has_archive'     => false,
		'menu_icon'       => 'dashicons-star-filled',
        'rewrite'         => array( 'slug'	=> $testimonial_slug ),
        'supports'        => array( 'title', 'editor', 'thumbnail' ),
	);
	register_post_type( 'dtr_testimonial', $args );
}