<?php
/*------------------------------------------------------------
 * Table of Contents
 * Testimonial Carousel
 * Recent Posts Carousel
 *------------------------------------------------------------*/
/*
 * @param $content
 * @param bool $autop
 * @return string
 */
if ( ! function_exists( 'narihealth_remove_wpautop' ) ) {
	function narihealth_remove_wpautop( $content, $autop = false ) {
		if ( $autop ) { // Possible to use !preg_match('('.WPBMap::getTagsRegexp().')', $content)
			$content = wpautop( preg_replace( '/<\/?p\>/', "\n", $content ) . "\n" );
		}
		return do_shortcode( shortcode_unautop( $content ) );
	}
}

/*------------------------------------------------------------
 * Testimonial Single Item
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'narihealth_testimonial_sc' ) ) {
	function narihealth_testimonial_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
            'id'  			=> '',
            'stars'			=> 'show', 
            'review_image'  => '',
            'review_image_display'  => 'show',
            'review_title'  => '',
            'review_time'   => '',
		), $atts ) );
		
		global $post;
		$args = array(
            'name'           	=> esc_attr( $id ),
			'post_type'      	=> 'dtr_testimonial',
			'post_status'    	=> 'publish',
		);

		$query = new WP_Query( $args );
		$output = '';

		if ($query->have_posts()) :	

		$output .= '<div class="dtr-testimonial-single">';
			while ( $query->have_posts() ) : $query->the_post();
				$output .= '<div class="dtr-testimonial">';
					$client_name = $review_image = $review_title = $review_time = '';
					$permalink			= get_permalink();
					$post_id 			= get_the_ID();
					$url      			= get_permalink( $post_id );
                    $star_count 		= get_post_meta( $post->ID, '_narihealth_testimonial_star_count', true );
					$client_name 		= get_post_meta( $post->ID, '_narihealth_testimonial_client_name', true );
					$review_title       = get_post_meta( $post->ID, '_narihealth_testimonial_review_title', true );
                    $review_time	    = get_post_meta( $post->ID, '_narihealth_testimonial_review_time', true );

                    // info					
                    if( $client_name != '' ){
                        $output .= '<div class="dtr-testimonial__info">'; 
                            $output .= '<span class="dtr-testimonial__icon"></span>'; 
                            $output .= '<div class="dtr-testimonial__info-content">';  
                                if( $client_name != '' ){
                                    $output .= '<h5 class="dtr-testimonial__client-name">' . esc_html( $client_name ) . '</h5>';
                                }
                                // stars
                                if( $stars == 'show' ) { 
                                    $output .= '<div class="dtr-testimonial__stars dtr-stars-' . esc_html( $star_count ) . '"></div>';
                                }
                            $output .=  '</div>';
                        $output .=  '</div>';
                    }	
			
					// content	
					$output .= '<div class="dtr-testimonial__content">';
                        $content = get_the_content();
                        $content = apply_filters( 'the_content', $content );
                        $content = str_replace( ']]>', ']]&gt;', $content );
                        $output .= $content;
					$output .= '</div>';
					
					// review
                    if( $review_title != '' || $review_time != '' ){
					    $output .= '<div class="dtr-testimonial__review">'; 
						$review_image = get_post_meta( $post->ID, '_narihealth_testimonial_review_image', true );
							if( $review_image!= '' && $review_image_display == 'show' ) {
								$output .=  '<div class="dtr-testimonial__review-logo"><img src="' . esc_url( $review_image ) . '" alt="' . esc_attr( $review_title ) . '"/></div>';
						}
                        if( $review_title != '' || $review_time != '' ){
                            $output .= '<div class="dtr-testimonial__review-info">'; 
                                if( $review_title != '' ){
                                    $output .= '<p class="dtr-testimonial__review-title">' . esc_html( $review_title ) . '</p>';
                                } 
                                if( $review_time != '' ){ 
                                    $output .= '<p class="dtr-testimonial__review-time">' . wp_kses_post( $review_time ) . '</p>';
                                } 
                            $output .=  '</div>';
                        }
					    $output .=  '</div>'; 
                    } // testimonial__review
                    
				$output .= '</div>'; // slide and item ends
			endwhile;
		    $output .= '</div>';
		wp_reset_postdata();
		endif;
		return $output;
	}
}
add_shortcode('dtr_testimonial', 'narihealth_testimonial_sc');

/*------------------------------------------------------------
 * Testimonial Carousel
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'narihealth_testimonial_carousel_sc' ) ) {
	function narihealth_testimonial_carousel_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'limit'     	=> -1,
			'order'     	=> 'DESC',
			'orderby'		=> 'date',
			'nav_type'		=> 'dots',
            'slider_col'	=> 'dtr-testimonial-carousel-1col',  
            'stars'			=> 'show', 
            'review_image'  => '',
            'review_image_display'  => 'show',
            'review_title'  => '',
            'review_time'   => '',
		), $atts ) );
		
		global $post;
		$args = array(
			'post_type'      		=> 'dtr_testimonial',
			'posts_per_page'		=> esc_attr( $limit ),
			'order'          		=> esc_attr( $order ), 
			'orderby'        		=> $orderby,
			'post_status'    		=> 'publish',
			'ignore_sticky_posts'	=> 1,
		);

		$query = new WP_Query( $args );
		$output = '';
		
		if( $nav_type == 'dots' ) {
			$nav_class = 'dtr-slider-has-dots';
		} else {   
			$nav_class = ''; 
		}
		
		if ($query->have_posts()) :	

		$output .= '<div class="swiper swiper-container dtr-swiper dtr-testimonial-carousel ' . $slider_col . ' ' . $nav_class . ' clearfix"><div class="swiper-wrapper">';
			while ( $query->have_posts() ) : $query->the_post();
				$output .= '<div class="swiper-slide clearfix"><div class="dtr-testimonial">';
					$client_name = $review_image = $review_title = $review_time = '';
					$permalink			= get_permalink();
					$post_id 			= get_the_ID();
					$url      			= get_permalink( $post_id );
                    $star_count 		= get_post_meta( $post->ID, '_narihealth_testimonial_star_count', true );
					$client_name 		= get_post_meta( $post->ID, '_narihealth_testimonial_client_name', true );
					$review_title       = get_post_meta( $post->ID, '_narihealth_testimonial_review_title', true );
                    $review_time	    = get_post_meta( $post->ID, '_narihealth_testimonial_review_time', true );

                    // info					
                    if( $client_name != '' ){
                        $output .= '<div class="dtr-testimonial__info">'; 
                            $output .= '<span class="dtr-testimonial__icon"></span>'; 
                            $output .= '<div class="dtr-testimonial__info-content">';  
                                if( $client_name != '' ){
                                    $output .= '<h5 class="dtr-testimonial__client-name">' . esc_html( $client_name ) . '</h5>';
                                }
                                // stars
                                if( $stars == 'show' ) { 
                                    $output .= '<div class="dtr-testimonial__stars dtr-stars-' . esc_html( $star_count ) . '"></div>';
                                }
                            $output .=  '</div>';
                        $output .=  '</div>';
                    }	
			
					// content	
					$output .= '<div class="dtr-testimonial__content">';
                        $content = get_the_content();
                        $content = apply_filters( 'the_content', $content );
                        $content = str_replace( ']]>', ']]&gt;', $content );
                        $output .= $content;
					$output .= '</div>';
					
					// review
                    if( $review_title != '' || $review_time != '' ){
                        $output .= '<div class="dtr-testimonial__review">'; 
                            $review_image = get_post_meta( $post->ID, '_narihealth_testimonial_review_image', true );
                                if( $review_image!= '' && $review_image_display == 'show' ) {
                                    $output .=  '<div class="dtr-testimonial__review-logo"><img src="' . esc_url( $review_image ) . '" alt="' . esc_attr( $review_title ) . '"/></div>';
                            }
                            if( $review_title != '' || $review_time != '' ){
                            $output .= '<div class="dtr-testimonial__review-info">'; 
                                if( $review_title != '' ){
                                    $output .= '<p class="dtr-testimonial__review-title">' . esc_html( $review_title ) . '</p>';
                                } 
                                if( $review_time != '' ){ 
                                    $output .= '<p class="dtr-testimonial__review-time">' . wp_kses_post( $review_time ) . '</p>';
                                } 
                            $output .=  '</div>';
                        }
                        $output .=  '</div>'; 
                    } // testimonial__review
                    
				$output .= '</div></div>'; // slide and item ends
			endwhile;
		    $output .= '</div>'; // swiper wrapper ends
		    // navigation
			if( $nav_type == 'dots' ) {
				$output .= '<div class="swiper-pagination dtr-testimonial__dots"></div>';
			} 
		$output .= '</div>';	
		// main content ends
		
		wp_reset_postdata();
		endif;
		return $output;
	}
}
add_shortcode('dtr_testimonial_carousel', 'narihealth_testimonial_carousel_sc');

/*------------------------------------------------------------
 * Recent Posts Carousel
 * @since 1.0
 *------------------------------------------------------------*/
if ( ! function_exists( 'dtr_narihealth_recentpost_sc' ) ) {
	function dtr_narihealth_recentpost_sc( $atts, $content = null ) {
		extract ( shortcode_atts( array(
			'title'     			=> '',
			'corner_type'			=> 'dtr-post-block--rounded',
			'image'					=> '',
			'excerpt'   			=> '',
			'words'   				=> '35',
			'date'					=> '',
			'author'				=> '',
			'limit'     			=> '-1',
			'order'     			=> 'DESC',
			'orderby'   			=> 'date',
			'cat'	    			=> '',
			'category'				=> '',
			'image_size'	    	=> '',
			'image_size_default'	=> 'full',
			'img_width'	    		=> '600',
			'img_height'	    	=> '400',
			'nav_type'				=> 'dots',
			'read_more'   			=> '',
            'read_more_align'   	=> 'align-right',
			'read_more_text'   		=> 'Read More',
		), $atts ) );
	
		$cat = str_replace(' ','-',$cat);
		 
		global $post;
		$args = array(
			'post_type'      		=> '',
			'posts_per_page' 		=> esc_attr( $limit ),
			'order'          		=> esc_attr( $order ), 
			'orderby'        		=> $orderby,
			'post_status'    		=> 'publish',
			'ignore_sticky_posts'	=> 1,
			'category_name'  		=> $cat, 
		);
	
		$dtr_recentpost_query = new WP_Query( $args );
		$output = '';

		// pager class
		if( $nav_type == 'arrows' ) {
			$nav_class = 'dtr-slider-has-arrows';
		} elseif( $nav_type == 'dots' ) {
			$nav_class = 'dtr-slider-has-dots';	
		} else {   
			$nav_class = ''; 
		}

		if( $dtr_recentpost_query->have_posts() ) : 
			$output .= '<div class="swiper dtr-swiper swiper-container dtr-recentposts-carousel ' . $corner_type . ' ' . $nav_class . '"><div class="swiper-wrapper">';
			while ( $dtr_recentpost_query->have_posts() ) : $dtr_recentpost_query->the_post();
				// has image
				if( has_post_thumbnail() ) { 
					$has_img = 'dtr-recentposts--has-img';
				} else {
					$has_img = 'dtr-recentposts--no-img';
				}
				$output .= '<div class="swiper-slide dtr-post-block '. $has_img . '">';
					$permalink		= get_permalink();
					$thumb_title	= get_the_title();	
					$post_id 		= get_the_ID();
					$url      		= get_permalink( $post_id );
					$thumb       	= get_post_thumbnail_id(); 
					$img_url     	= wp_get_attachment_url( $thumb, 'full' ); 
					// image width
					if( $image_size == 'img_custom' && $img_width == '' ){
						$return_width = '600';
					} else {
						$return_width = $img_width;
					}
					// image height
					if( $image_size == 'img_custom' && $img_height == '' ){
						$return_height = '400';
					} else {
						$return_height = $img_height;
					}

					// image sizes
					if( ! empty( $img_url ) && ! empty( $return_width ) && ! empty( $return_height ) && $image_size == 'img_custom' && has_post_thumbnail() ) {  
						$image_resize   = aq_resize( $img_url, $return_width, $return_height, true );
						$return_image = '<img src="' . esc_url( $image_resize ) . '" alt="' . esc_attr( $thumb_title ) . '"/>';
					} else { 
						$return_image = '' . get_the_post_thumbnail ($post_id, $image_size_default) . '';
					}
					// image output
					if( has_post_thumbnail() && $image == 'show' ) { 
						$output .=  '<div class="dtr-post-block__img-wrapper">';
							$output .=  '<a href="' . esc_url( $permalink ) . '" rel="bookmark" aria-label="' . get_the_title() . '">' . $return_image . '</a>';
						$output .=  '</div>';
					} // image
					
					// content
					$output .= '<div class="dtr-post-block__content">';
                        
                        if( $category == 'show' || $author == 'show' || $date == 'show' ) {
							$output .= '<div class="dtr-post-block__meta dtr-meta">';
                                
                                // category
                                if( $category == 'show' ) {
                                    if( !has_post_thumbnail() || $image == 'hide' ) {
                                        $cats = get_the_category( $post->ID );
                                        if( $cats ) {
                                            $output .= '<div class="dtr-meta-item">';
                                            foreach( $cats as $cat ) {
                                                $output .= '<a class="dtr-category-link" href="' . esc_url( get_category_link( $cat->term_id ) ) . '">'. $cat->name .'</a>';
                                            }
                                            $output .= '</div>';
                                        }
                                    }
                                } // category ends
                                
								if( $author == 'show' ) {
									$output .= '<a class="dtr-meta-item dtr-meta-author" href="' . esc_url(get_author_posts_url(get_the_author_meta( 'ID' ))) . '">' . esc_html(get_the_author()) . '</a>';
								}
								
								if( $date == 'show' ) {
									$output .= '<a class="dtr-meta-item dtr-meta-date" href="' . esc_url( $permalink ) . '" rel="bookmark">' . get_the_date() . '</a>';
								}
								
							$output .= '</div>'; 
						} // meta
                        
						// title
						if( $title == 'show' ) {
							$output .= '<h5 class="dtr-post-block__title"><a class="dtr-post-block__title-link" href="' . esc_url( $permalink ) . '" rel="bookmark">' . esc_html(get_the_title()) . '</a></h5>';
						}	
						
					
						if( $excerpt == 'show' ) {	
							$output .= '<div class="dtr-post-block__excerpt">';
							$content = get_the_content();
							$content = wp_trim_words( $content , $words );
							$content = str_replace( ']]>', ']]&gt;', $content );
							$output .= $content;
							$output .= '</div>';
						}

						// read more
						if( $read_more == 'show' ) {
							$output .= '<p class="dtr-post-block__link-wrap ' . $read_more_align . '"><a class="dtr-link dtr-post__button" href="' . esc_url( $permalink ) . '" role="button"><span class="dtr-link__text">' . esc_html( $read_more_text ) . '</span></a></p>';
						}
					$output .= '</div>'; // content
				$output .= '</div>'; // item
			endwhile;
			$output .= '</div>';
			// navigation
			if( $nav_type == 'arrows' ) {
				$output .= '<div class="swiper-button-prev dtr-swiper-button dtr-recentposts__prev"></div><div class="swiper-button-next dtr-swiper-button dtr-recentposts__next"></div>';
			} 
			if( $nav_type == 'dots' ) {
				$output .= '<div class="swiper-pagination dtr-recentposts__dots"></div>';
			} 
			$output .= '</div>';
			wp_reset_postdata();
		endif;
		return $output;
	}	
}
add_shortcode('dtr_recentposts', 'dtr_narihealth_recentpost_sc');