( function( $ ) {
    
    // servicebox
	var WidgetServiceboxHandler3Col = function( $scope, $ ) {
		var swiper = new Swiper(".dtr-servicebox-carousel-3col", {
			slidesPerView: 1,
			spaceBetween: 20,
			loop: true,
			speed: 1200,
			//effect: 'fade',
			fadeEffect: {
				crossFade: true
			},
			pagination: {
				el: ".swiper-pagination.dtr-servicebox__dots",
				clickable: true,
			},
			navigation: {
				nextEl: ".swiper-button-next.dtr-servicebox__next",
				prevEl: ".swiper-button-prev.dtr-servicebox__prev",
			},
			autoplay: {
				delay: 8000,
				disableOnInteraction: true,
				pauseOnMouseEnter: true
			},
            breakpoints: {
			  782: {
				slidesPerView: 2,
				spaceBetween: 20,
                //slidesPerGroup: 2
			  },
			  1280: {
				slidesPerView: 3,
				spaceBetween: 20,
                //slidesPerGroup: 3
			  },
			},
		});
		
	}; // WidgetServiceboxHandler3Col

	// testimonial
	var WidgetTestimonialHandler = function( $scope, $ ) {
		var swiper = new Swiper(".dtr-testimonial-carousel-1col", {
			slidesPerView: 1,
			spaceBetween: 0,
			loop: true,
			speed: 1200,
			//effect: 'fade',
			fadeEffect: {
				crossFade: true
			},
			pagination: {
				el: ".swiper-pagination.dtr-testimonial__dots",
				clickable: true,
			},
			navigation: {
				nextEl: ".swiper-button-next.dtr-testimonial__next",
				prevEl: ".swiper-button-prev.dtr-testimonial__prev",
			},
			autoplay: {
				delay: 6000,
				disableOnInteraction: true,
				pauseOnMouseEnter: true
			},
		});
		
	}; // WidgetTestimonialHandler
	
	// testimonial
	var WidgetTestimonialHandler2Col = function( $scope, $ ) {
		var swiper = new Swiper(".dtr-testimonial-carousel-2col", {
			slidesPerView: 1,
			spaceBetween: 20,
			loop: true,
			speed: 1200,
			//effect: 'fade',
			fadeEffect: {
				crossFade: true
			},
			pagination: {
				el: ".swiper-pagination.dtr-testimonial__dots",
				clickable: true,
			},
			navigation: {
				nextEl: ".swiper-button-next.dtr-testimonial__next",
				prevEl: ".swiper-button-prev.dtr-testimonial__prev",
			},
			autoplay: {
				delay: 6000,
				disableOnInteraction: true,
				pauseOnMouseEnter: true
			},
            breakpoints: {
			  980: {
				slidesPerView: 2,
				spaceBetween: 20,
                //slidesPerGroup: 3
			  },
			},
		});
		
	}; // WidgetTestimonialHandler2Col

	// post carousel
	var WidgetPostCarouselHandler = function( $scope, $ ) {
		var swiper = new Swiper(".dtr-recentposts-carousel", {
			slidesPerView: 1,
			spaceBetween: 0,
			loop: true,
			pagination: {
				el: ".swiper-pagination.dtr-recentposts__dots",
				clickable: true,
			},
			navigation: {
				nextEl: ".swiper-button-next.dtr-recentposts__next",
				prevEl: ".swiper-button-prev.dtr-recentposts__prev",
			},
			autoplay: {
				delay: 7000,
				disableOnInteraction: true,
				pauseOnMouseEnter: true
			},
			breakpoints: {
			  782: {
				slidesPerView: 2,
				spaceBetween: 20,
                //slidesPerGroup: 2
			  },
			  1280: {
				slidesPerView: 3,
				spaceBetween: 20,
                //slidesPerGroup: 3
			  },
			},
		});
		
	}; // WidgetPostCarouselHandler
	
	// Tabs
	var WidgetStyledTabsHandler = function( $scope, $ ) {
		var dtr_styled_tabs = $scope.find('.dtr-tabs .nav-tabs a:first, .tab-content div:first');
		dtr_styled_tabs.addClass('active');
	}; // WidgetStyledTabsHandler
	
	// Accordion Heading	
	var WidgetAccordionHeadignHandler = function( $scope, $ ) {
		var dtr_accordion_heading = $scope.find('.dtr-accordion .accordion-button:first');
		dtr_accordion_heading.removeClass('collapsed');
	}; // WidgetAccordionHeadignHandler
	
	// Accordion Content
	var WidgetAccordionContentHandler = function( $scope, $ ) {
		var dtr_accordion_content = $scope.find('.dtr-accordion .accordion-item:first .accordion-collapse.collapse');
		dtr_accordion_content.addClass('show');
	}; // WidgetAccordionContentHandler

	// video popup
	var WidgetVideoPopupHandler = function( $scope, $ ) {
		new VenoBox({
			selector: '.dtr-video-popup'
		});
	}; // WidgetVideoPopupHandler

	// Make sure you run this code under Elementor.
	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-servicebox-carousel.default', WidgetServiceboxHandler3Col );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-testimonial-carousel.default', WidgetTestimonialHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-testimonial-carousel.default', WidgetTestimonialHandler2Col );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-posts-carousel.default', WidgetPostCarouselHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-styled-tabs.default', WidgetStyledTabsHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-accordion.default', WidgetAccordionHeadignHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-accordion.default', WidgetAccordionContentHandler );
		elementorFrontend.hooks.addAction( 'frontend/element_ready/dtr-video-lightbox.default', WidgetVideoPopupHandler );
	} );

} )( jQuery );